 Neat Image user guide

Introduction

Overview

Features

Requirements


 Neat Image user guide / Introduction

Overview

Neat Image is a digital filter application designed to reduce visible noise in digital photographic images.

Noise is a serious problem that hinders high quality digital image processing. In digital photography, the consumer- and prosumer-level cameras produce images with an easily noticeable noise component. This component is especially strong in images taken at high ISO rates. The noise reduces the visual quality of digital images and resulting printouts. Some image processing operations, like sharpening, make quality of noisy images even worse.

Neat Image detects, analyzes, and reduces image noise. The filtration quality is higher than that of other methods because Neat Image takes into account specific characteristics of particular image acquisition devices, making the filtration more accurate. You can adapt the program to almost any input device - digital camera, scanner, etc. Access to the rich control set allows you to easily achieve the desired level of noise reduction.

In addition, Neat Image can make images look sharper without any degradation of image quality (which is usually inevitable with noisy images). The combination of the sharpening and noise filter makes such an effect possible.

See some examples of Neat Image noise reduction.

Neat Image is currently produced in five editions: Demo, Home, Home+, Pro and Pro+. Demo is a free edition of the software with slightly-limited functionality. Home is the edition of Neat Image for home users who only have small amounts of images to process. Pro is the edition of Neat Image providing professional users with 16-bit image processing and unlimited queuing / batching capabilities. In addition to the standalone application in the Home and Pro editions, the Home+ and Pro+ editions include the Photoshop-compatible plug-in version of the filter.


 Neat Image user guide / Introduction

Features

Noise Reduction and Image Sharpening

  • Advanced Noise Filter to reduce noise and grain in digital images
  • Complete control over the filter settings to achieve the desired level of noise reduction
  • Smart Sharpening Filter to make images look sharper without amplification of noise
  • 16-bit image support to fully utilize capabilities of modern image acquisition devices

Plug-in and Standalone Application

  • Photoshop-compatible plug-in to selectively apply noise reduction to layers and channels
  • Standalone application to work directly with image files when an image editor is not available

Device Noise Profiles

  • Automatic Noise Analyzer to build profiles for your camera or scanner
  • Batch Profiler to automate profiling with the Calibration Target
  • Rich set of free ready-made noise profiles in the online profile library
  • Profile Matcher for automatic matching of noise profiles to images

Queued Processing

  • Queued processing / batch processing of image series
  • Background processing (images are processed as you prepare a new one)

Preview

  • Embedded preview for any selected image area
  • Preview of filtration results separately for each channel and frequency component
  • Variant Selector for easier adjustment of the filters
  • Full-size comparison of original vs. filtered images

Some features are only available in certain editions of Neat Image. Detailed feature map explains the differences between Neat Image editions in details.


 Neat Image user guide / Introduction

Requirements

Recommended system configuration to process 4-5-megapixel images is:

  • Windows 9x, ME, NT, 2000, XP
  • Pentium-III class machine or higher
  • 128 MB RAM or higher
  • True color display, resolution 1024x768 or more

Minimum system requirements are:

  • Windows 95
  • Pentium-I class machine
  • 32 MB RAM
  • Hi-color display, resolution 800x600

System requirements for practical use of Neat Image depend on size of input images. The more system RAM is available the larger the images that can be handled. The processing speed is determined primarily by the processor number-crunching power and memory speed.

For the standalone version of Neat Image, input images should be in one of the following formats (the same formats are supported to save output images ***):

  • TIFF (uncompressed, single image, no layers, no alpha channel, no mask)
    - 24-bit RGB
    - 48-bit RGB
    - 8-bit grayscale
    - 16-bit grayscale

  • JPEG
    - 24-bit RGB
    - 8-bit grayscale

  • BMP (uncompressed, Win3x)
    - 24-bit RGB
    - 32-bit RGB

Minimum size of the input images is 20x20 pixels; maximum size is usually limited by the amount of system RAM available.

The plug-in version of the filter is compatible with the following plug-in hosts:

  • Adobe Photoshop 5, 6, 7, CS
  • Adobe Photoshop Elements 2
  • Jasc Paint Shop Pro 7, 8
  • Ulead PhotoImpact 8
  • Corel Photopaint
  • PhotoLine32 9, 10

The plug-in may be compatible with other hosts as well.

*** Saving output images in the TIFF and BMP formats as well as copying to the clipboard is only available in the non-Demo editions of Neat Image.


 Neat Image user guide

Key concepts

What it can do - functionality of Neat Image

When it works - types of input images


 Neat Image user guide / Key concepts

What it can do — functionality of Neat Image

Neat Image is a digital image filter. Its main function is to reduce noise in digital images.

Neat Image can work with any imaging devices - digital cameras, scanners, etc. The program can be adjusted to a particular device by means of a device noise profile, which describes the noise characteristics of the device working in some mode.

A device noise profile is built through analysis of featureless image areas that contain no visible (or important) details. Usually the program can find such areas completely automatically. In a difficult case, you can assist it and select featureless areas manually. Finding such areas is very easy for human eyes but may sometimes be a bit difficult for the software.

By analyzing found or specified featureless areas, the Noise Analyzer builds a profile which describes the noise in these areas. With this profile, Neat Image can efficiently reduce noise in the whole image.

When several such profiles for different device modes are available, the Profile Matcher can automatically select the profile that matches given input image. In this way, the software can skip noise analysis and simply re-use one of profiles built earlier. Alternatively, a new profile can be built for every new image using automatic or manual profiling.

Neat Image can use several working color spaces (RGB, YCrCb JPEG or YCrCb Symmetric) to process images. Choosing suitable working color space increases the efficiency of the noise filter. For example, color spaces of the YCrCb family separate the brightness and color (luminance and chrominance) image components so it is easier to deal only with the brightness component, which often contains the major part of visible noise.

The noise filter processes images in three spatial frequency ranges. This makes possible reducing noise in one frequency range even if details are present in other ranges.

In addition to the noise filter, there is the smart sharpening filter, which only sharpens important image details without increasing the level of noise. This filter also uses the noise profile to tell noise from details, so applying the noise and sharpening filters together saves time and produces better overall results.


 Neat Image user guide / Key concepts

When it works — types of input images

Neat Image is designed to reduce noise in images produced by digital cameras and scanners, and can also be used to process images from other sources. The input image should satisfy the following requirements:

  • Noise must be uniformly distributed throughout the image, i.e., there should be no strong surges of noise intensity in some areas of the image or significant changes of noise characteristics across the image.

    Neat Image works fine, for example, on images with high ISO noise. However, 'hot' or 'dead' pixels (produced by single 'broken' image sensor elements) do not satisfy the uniformity condition and, therefore, are not efficiently removed by Neat Image (hot pixel removal is in our development plans).

    Another frequent source of noise is JPEG compression. The JPEG noise is approximately uniform when high quality compression (low compression rate) is used. However, low quality compression makes noise non-uniform. Therefore, we recommend using the highest quality of compression whenever possible. Try to avoid visible artifacts ('squares' or 'blocks' introduced by JPEG compression) in input images beginning from the early stages of image processing!
  • Noise should be concentrated in high and medium spatial frequencies. This condition is usually met by images produced by modern digital cameras. This condition may not be completely satisfied if you use the strong (e.g., x2-x3 and more) digital zoom features of digital cameras.


 Neat Image user guide

Filtration process overview

Overview of Neat Image filtration process

Running Neat Image on a sample image


Overview of filtration process

The Filtration Job Editor is used to filter one image. The Filtration Job Editor window opens when you create a new filtration job. When you start Neat Image for the very first time, the Filtration Job Editor window opens automatically.

Using the Filtration Job Editor you can:

1. Open an input image

- the image viewer will display the input image;

- the information panel will display relevant image data;

2. Prepare a device noise profile - noise analysis necessary to filter the image

- you can select a ready-made profile
or
build new one on the spot;

- to build a new profile click the Auto Profile button;

this will automatically select and analyze a featureless (noise-only) image area;

if you see that automatic selection includes any details then move the selection or manually select another area and click the Auto Profile button again;

3. Adjust the noise filter and sharpening settings to achieve desired level of noise reduction and sharpening

- click the Preview button and Neat Image will automatically select an image area and prepare a preview;

- adjust the filter settings:
try to vary the Noise Reduction Amount: Luminance channel and observe how the preview changes;

- as soon as you are happy with the preview proceed to the next stage;

4. Process the input image

- apply filter to the whole image;

- when processing is finished, evaluate the resulting output image by comparing it with the input image;

- save the output image to a file on the disk.


 Neat Image user guide / Filtration process overview

Running Neat Image on a sample image

There is a test-kit prepared to help you start using Neat Image. You can download it from the Neat Image web page: test-kit for Neat Image (250KB). Having downloaded, please unzip it to a new folder on the hard disk.

The test-kit contains a sample image: the SampleImage.jpg file. This image is a part of typical photo taken with digital camera (Nikon CoolPix 950 in this case). Detailed information about the test image is available in the SampleImageInfo.txt file.

Please start Neat Image and go through the stages below to see how it can improve the image:

Stage 1. Open the sample image

1. Click [image] on the toolbar of the Input Image tab:

2. In the Open input image file dialog, navigate to the folder where the sample image has been unzipped and double click on the SampleImage.jpg file.

Neat Image will open the sample image.

You will see that there is strong noise in the image, especially in the sky area (use zoom and scroll to see it). This is the typical noise produced by the Nikon CoolPix 950 digital camera. The task of Neat Image is to reduce this noise. To do that the program generally needs a noise profile describing noise properties of the image. We have prepared such a noise profile in advance. The profile is supplied with the test-kit in the SampleProfile.dnp file. Using the noise profile, Neat Image can efficiently reduce the noise in the image.

Stage 2. Open the sample noise profile

1. Switch to the Device Noise Profile tab:

2. Click [image] (blue disk) in the Device Noise Profile box on the right panel;

3. In the Open device noise profile dialog, navigate to the folder where the sample device noise profile has been unzipped and double click on the SampleProfile.dnp file.

Now the sample device noise profile is opened and Neat Image is almost ready to filter the sample image. Usually, you would adjust the filter settings at this stage. To make things easier for the first run of Neat Image, we have prepared a sample preset file that stores 'good' filter settings suitable for the sample image.

Stage 3. Open the sample filter preset

1. Switch to the Noise Filter Settings tab:

2. Click [image] (pink disk) in the Filter Preset box on the right panel;

3. In the Open filter preset dialog, navigate to the folder where the sample filter preset has been unzipped and double click on the SamplePreset.nfp file.

Now the sample filter preset is opened and the filter settings are adjusted to process the sample image.

Stage 4. Apply the filter

1. Switch to the Output Image tab:

2. Click [image] on the toolbar and wait until the progress indicator disappears.

Processing may take some time. Then the filtered output image is displayed. You can click the output image to compare it with the input image. Notice that the noise - especially in the sky area - has been significantly reduced while the image details have been preserved.

Please note that the sample noise profile and sample filter preset supplied with the test-kit are suitable only for images taken with that particular digital camera working in the same or similar mode. Neat Image can perform similar noise reduction on images captured or acquired by any other camera or scanner working in any mode. To be able to do that Neat Image needs specific device noise profiles that describe the noise characteristics of those devices. With Neat Image you can build these profiles yourself. The program can completely automatically build a profile given an input image. Also, you can find ready-made device noise profiles for many digital cameras and scanners in the Profiles section of Neat Image web page.

Filtration process details and Device noise profiles sections contain detailed descriptions of the filtration and profiling processes. There are also several examples of profiling and filtration in the Examples section of Neat Image web page.


 Neat Image user guide

Filtration process details

Neat Image can be used to filter a single image or multiple images at the same time. This section contains a detailed description of the filtration process involving a single image. Processing multiple images is explained in the Queued processing section.

Processing a single image is done using the Filtration Job Editor (see on the right). When you start Neat Image for the very first time, the Filtration Job Editor window opens automatically.

The filtration process is described as a set of steps that have to be taken to process an image. Please follow the description step-by-step or read a specific part to find out particular details.

Stage I. Open an input image

Stage II. Prepare a device noise profile

Stage III. Adjust filter settings

Stage IV. Apply filter to the input image

Stage V. Save the output image


 Neat Image user guide / Filtration process details

Stage I. Open an input image

Use the Input Image tab in the Filtration Job Editor:

To open an input image

  • Click [image] (the Open input image… button) on the toolbar, or [image] in the Input Image box, or select the File | Open Input Image… menu item.

    Supported file formats are BMP, TIFF and JPEG (see Requirements for details).

    or

  • Drag an image file from the Windows Explorer and drop it to the input image viewer.

    or

  • Use the Windows clipboard to bring an image into the program from another application: use the Edit | Paste menu item. The clipboard image should be in 24/32-bit RGB format.

When the input image is ready, the Input Image box (on the right panel) displays related image information such as image bit depth, size, channel names, and EXIF data fields (when available). Only those EXIF fields are shown that (1) could be extracted from the input image and (2) are important for noise reduction. You may have to refer to these data later on.

To scroll and pan the image

  • drag the image using the middle mouse button;

  • press the spacebar and drag the image with the left mouse button.

To change the image zoom level

  • use the mouse wheel when mouse is over the viewer;

  • use the zoom control on the toolbar;

  • use the Ctrl-Plus, Ctrl-Minus, Ctrl-0, Ctrl-Alt-0 keyboard shortcuts.

Stage I :: Stage II
  :: Stage III :: Stage
  IV :: Stage V


 Neat Image user guide / Filtration process details

Stage II. Prepare a device noise profile

Use the Device Noise Profile tab in the Filtration Job Editor:

To filter the input image, Neat Image needs to know the characteristics of noise produced by the image acquisition device (digital camera, scanner, etc.) that the image comes from. The noise characteristics of a device working in certain mode are stored in a device noise profile.

There are several ways to get a device noise profile that suits the input image:

  • To build a new profile using the input image or a specially prepared test image;

  • To automatically select the most suitable device noise profile from a ready-made set of profiles using the automatic Profile Matcher;

  • To manually select a suitable profile from a ready-made set of profiles using their descriptions or file names.

The first option is often the easiest one provided the input image contains uniform featureless image areas that contain noise but no visible or important details. Neat Image can automatically find such image areas and analyze noise in there to build a noise profile of the image. When there are featureless areas in the image that can be analyzed, this way of preparing a noise profile is the most accurate.

The last two options are available once you have a ready-made set of profiles. You may find free sets of profiles for your imaging device(s) in:

  • Profiles section of Neat Image web page;

  • Device noise profiles section of Neat Image community forum;

  • Other digital imaging forums and web pages from users of Neat Image.

If you cannot find a ready-made set of profiles, then you can easily build profiles yourself. Moreover, please be aware that using ready-made profiles built by other people may produce less than optimal results with your images because of possible slight differences in noise properties of cameras (scanners) as well as due to different imaging processing workflows used. Therefore, we advise to use ready-made noise profile built by others only as a starting point to learn how to use Neat Image. To achieve the best results consider building your own profiles.

You can build a set of profiles for different device modes or just one profile to process one image. See the Device noise profiles section for detailed instructions.

Once you have a set of profiles for different modes of your imaging device, you can (automatically or manually) select a profile that matches the input image. Or if you have just built a singe profile specifically for the input image, then you can just use it to process the image in the Stages III-V.

To build a new profile using the input image

  • Click [image] (the Auto Profile with Regular Image button) on the toolbar, or select the Profile | Auto Profile with Regular Image menu item, or press F2.

    Neat Image will show the image area selected for analysis (see blue selection box in the image viewer; blue color is an indication of automatic selection) and will analyze it automatically.

    In difficult cases, Neat Image may have trouble with finding a uniform featureless area in the input image. You will notice that the selected area, for example, will contain some important image details. In such a case, just move the selection (or draw a new one) to an area that does not contain any image details and click the same Auto Profile with Regular Image button again.

    If you see that the area selected for analysis is indeed uniform and featureless, then you can be sure that noise analysis and resulting noise profile is accurate. In this case, consider the noise profile ready and proceed to Stage III. Adjust filter settings.

To automatically select matching noise profile from the set

  • Click [image] (the Profile matcher button) or select the Profile | Open Best Matching Profile menu item.

    The automatic Profile Matcher uses the EXIF data fields of the input image to select the device noise profile that best matches the device mode of the image. The device noise profile is selected in a set of profiles stored in a special folder (and its subfolders) specified in the application options.

See Profile matching options for more details about the following profile matching options: Matching device noise profile folder, Matching parameters priorities and Auto match on image open.

To manually select noise profile from the set

  • Click [image] (the Open device noise profile… button, blue disk) in the Device Noise Profile box or select the Profile | Open… menu item. In the Open device noise profile dialog box, you can specify the name of the device noise to be opened.

    or

  • lect a profile using the popup menu: click on the button on the right side of the profile name shown in the top part of the Device Noise Profile box, and select a profile from the popup menu (if there is no popup menu, check the Folder options).

    When selecting a profile that matches the device mode of the input image, use the profile file names and folder structure to guide your search. See Preparing profile set for different device modes: Stage III. Structuring profile set for more information on structuring the profile sets.

Stage I :: Stage II :: Stage III :: Stage IV :: Stage V


 Neat Image user guide / Filtration process details

Stage III. Adjust filter settings

Use the Noise Filter Settings tab in the Filtration Job Editor:

The noise and sharpening filters have several settings that you can adjust. Default noise reduction settings are based on noise analysis results provided by the noise profile; this usually produces good filtration results. If you want to achieve even better noise reduction, you can vary the filter settings to achieve the results that look best to your eyes.

There are two sets of filter controls available in the Standard mode and Advanced mode (you can select the mode using the Tools | Advanced Mode menu item). The Standard mode provides a simple control set, recommended for beginners who just start using Neat Image. The Advanced mode provides the most complete control set with maximum manual control over filter settings. The Advanced mode is recommended for power users. Adjusting filter settings is separately described below for the Standard and Advanced mode.

Use preview when adjusting filter settings

Adjust filter settings (Standard mode) - use this subsection if you work with Neat Image in the Standard mode

Adjust filter settings (Advanced mode) - use this subsection if you work with Neat Image in the Advanced mode

Save filter settings into a preset (optional)

Stage I :: Stage
  II :: Stage III :: Stage
  IV :: Stage V


 Neat Image user guide / Filtration process details / Stage III. Adjust filter settings

Use preview when adjusting filter settings

To use preview, simply click [image] (the Preview button). This will select an area in the image and automatically apply filtration to this area.

Or you can manually select any image area: press the left button, drag the mouse and then release the button. When an area is selected, Neat Image will (if auto recalculate preview is checked; see Filtration options) automatically apply filtration to the selected image area. You can also manually invoke preview recalculation with the Preview button, or the Filter | Preview menu item, or the F5 hotkey.

As soon as the preview is ready, you can left-click on the selected area to temporarily switch back to the original image for comparison.


 Neat Image user guide / Filtration process details / Stage III. Adjust filter settings

Adjust filter settings (Standard mode)

There are two main filters in Neat Image: noise reduction filter and sharpening filter. These two filters can be used together and each of them can be used alone. You can enable / disable and adjust both filters using the guidelines in the subsections below.

Adjusting noise filter settings in Standard mode

The noise filter has separate settings for the luminance and chrominance components of the input image. Noise reduction applied to one image component is controlled by two settings: noise level and noise reduction amount. Such a pair of settings associated with an image component (here, either with the luminance or chrominance component) is fundamental for Neat Image noise reduction.

Let us return for a moment to the noise analysis and noise profile. When you did noise analysis and built the noise profile, Neat Image measured levels of noise in each component of the analyzed image. The noise level in an image component can be low or high depending on the strength of visible noise in this component. Neat Image analyses noise and measures the noise level, which results in a number saved in the noise profile. You can see the measured noise levels using the Profile Viewer window (it is accessible via the Profile | Profile Viewer menu item or the Ctrl-I shortcut).

For example, noise level in the luminance channel could be measured at 8.55 units. This figure tells the noise filter which image elements should be considered noise and which - image details: the image elements that are weaker than 8.55 units are considered noise and reduced by the noise filter; the image elements that are stronger than 8.55 units are considered details and not reduced. In this sense, the noise level (8.55 units in this example) may be considered a kind of threshold if you compare it with other filters you may use (e.g., Unsharp Mask).

If you do not change the default noise filter settings (Noise Levels: Luminance channel: +0%) then noise reduction is completely determined by the above figure from the noise profile. However, if you do adjust the filter setting for the noise level of the luminance channel, then this adjustment is taken into account too. For example, if you set the Noise Levels: Luminance channel control to +15% then what is used by the noise filter as the noise level is:

8.55 * (100% + 15%) => 9.83 units

With this adjustment, the image elements in the luminance channel that are weaker than 9.83 units are considered noise and reduced and elements that are stronger than 9.83 units are not reduced.

As you have just learned, the noise level of a specific image component tells the noise filter what should be considered noise and what - important image details in this component. The noise reduction amount related to the same component tells the noise filter how much of the found noise should be reduced. For example, if the noise reduction amount is set to 50% then all image elements that are weaker than the noise level (in the above example with noise level adjustment it is 9.83) are reduced (made weaker) in half. The noise reduction amount value of 100% tells the filter to remove the found noise completely.

Thus, with a noise level - noise reduction amount pair of settings you can adjust what should be considered noise in a component of the input image and how much of this noise should be reduced. In the standard control set, you have access to two such pairs in the noise filter: one for the luminance channel of the input image and one for the chrominance channels.

Because the noise level estimations used by the filter are based on the noise profile, the default filter settings usually produce accurate results (provided the noise profile is accurate). When the noise level controls are adjusted in some direction, the noise level estimations are raised or lowered accordingly. A noise level can be in the range from -100%, which means no image elements are considered noise, and therefore, no noise reduction is applied in the corresponding image component; to +150%, which means noise reduction is applied to the image elements that are weaker than 250% of the noise profile's noise level.

Noise reduction amount controls determine how much reduction is applied to the image elements identified as noise. Noise reduction amounts can be in the range from 0% (none of the detected noise is removed) to 100% (all the detected noise is removed). By default, the noise filter removes 60% of detected noise in the luminance channel of the input image and 100% of noise in the chrominance channels. Our experience shows that the default noise reduction amounts generally provide a good balance between preserving image details and noise removal.

Decreasing the noise reduction amounts may have a positive effect if the input image contains some natural noise. For example, when you are filtering images of asphalt, sand, or anything else that contains fine natural noise-like features, it may be helpful to reduce amounts down to 40-50% (see Partial filtration for additional tips).

(It is advised to disable the sharpening filter when adjusting the noise filter. To disable the sharpening filter, set the Sharpening amount: Luminance channel to 0%.)

Adjust noise reduction amounts (optional)

  • Use the Noise Reduction Amounts: Luminance channel and Chrominance channels sliders.

    You can vary the noise reduction amount for both luminance and chrominance component of the input image. The higher a specific noise reduction amount, the more of the detected noise is removed in the corresponding image component. Be careful, setting the noise reduction amounts too high, especially in the luminance channel, may lead to loss of fine details and unnaturally looking (over-smooth, plastic-like) results. Too low amounts may be not enough to sufficiently reduce the objectionable part of the noise. You have to balance the noise reduction amounts (most importantly, the amount of noise reduction in the luminance channel) to get the result that looks best to your eyes.

    Comment
    As human vision is not very sensitive to variations of colors, strong filtration in the chrominance channels does not noticeably distort an image, but efficiently removes color noise.

Adjust additional filter settings (optional)

Smooth edges
Off | On
  • Check the Smooth edges checkbox to make edges and lines in the image look smoother (see an example on the right).

  • Check the High resolution checkbox to enable the higher resolution noise filter. This may be useful when processing images with very fine details that should be preserved by the filter.

Use preview

  • Use the preview when adjusting the noise filter settings.

    After you have made changes to the noise filter parameters, do not forget to check the preview. Use the preview on different parts of the image to get a better feeling for the results of noise reduction (using auto recalculation of preview is recommended, see Filtration options).

    If the noise filtration looks too strong (weak) try to decrease (increase) the noise reduction amounts for appropriate channels.

    Usually it is not necessary to change the noise levels if the noise profile is accurate. You only have to adjust the noise levels if you see that some noise elements are not reduced even if you set the noise reduction amounts to 100%. Such residual noise elements are caused by inaccurate noise profile (providing inaccurate noise level estimations). This may be compensated by adjusting (increasing) the noise levels in the filter settings.

Adjust noise levels (optional)

  • Use the Noise Levels: Luminance channel and Chrominance channels sliders.

    The higher a specific noise level, the more image elements in the corresponding image component are considered noise. Be careful, setting a noise level too high can lead to removal of important image details. Setting a noise level too low can lead to incomplete filtration: residual noise and compression artifacts may remain in the output image.

    As a rule, if the device noise profile has been built properly, it is not necessary to increase the noise levels by more than 50%.

    If adjusting noise levels still does not help and some noise elements remain in the image, probably the device noise profile is not good at all. Return to Stage II. Prepare a device noise profile and additionally fine-tune the device noise profile or simply rebuild the profile from scratch.

Use Component Viewer (optional)

The Component Viewer is intended for detailed examination of channel components of the processed image. Find more details about using this tool in the Component Viewer subsection.

Use Variant Selector (optional)

The Variant Selector is designed designed to compare several variants of filtration side-by-side to find the optimum filter settings easier and faster. More information about this tool is available in the Variant Selector subsection.

Adjusting sharpening settings in Standard mode (optional)

Note: You can skip this subsection when reading for the first time.

The sharpening filter increases image sharpness without increasing the noise strength.

The sharpening filter is disabled (sharpening amount is set to 0%) by default. Adjust the sharpening amount if you want to sharpen the image. Like with any sharpening method, you have to balance the sharpening amount to avoid over-sharpening.

Use the preview when adjusting the sharpening settings.

Adjust sharpening amount

  • Use the Sharpening Amount: Luminance channel slider.

    Specify how much sharpening should be applied to the luminance channel of the input image.

Use preview

  • Use the preview when adjusting the sharpening setting.

    After you have made changes to the sharpening settings, do not forget to check the preview. Use the preview on different parts of the image to get a better feeling for the results of sharpening.

As soon as you are happy with the preview results regarding both noise reduction and sharpening, proceed to the subsection about saving the filter settings into a preset or to the Stage IV. Apply filter to the input image.


 Neat Image user guide / Filtration process details / Stage III. Adjust filter settings

Adjust filter settings (Advanced mode)

As compared with the Standard mode (see the Adjust filter settings (Standard mode) subsection), the Advanced mode offers a more sophisticated sets of filter controls. There are also two main filters - noise reduction filter and sharpening filter - but these have more adjustable settings now. Please follow the guidelines below to enable / disable and adjust both filters.

Adjusting noise filter settings in Advanced mode

In the Advanced mode, the noise filter has separate settings for all frequency and channel components of the input image. There are pairs of noise level - noise reduction amount controls for each of these image components. The meaning of each noise level - noise reduction amount pair is the same as explained in the Adjusting noise filter settings in Standard mode: a noise level control determines which image elements are considered noise in corresponding image component; a noise reduction amount control determines how much reduction is applied to the image elements identified as noise.

Because the noise level controls are relative to the device noise profile, their defaults usually produce good results. The noise level defaults are 0% (some of the noise level defaults may be different from 0%), which means the noise levels are completely determined by the noise profile. When the level controls are set differently, the noise level estimations are raised or lowered accordingly. A noise level can be in the range from -100%, which means no image elements are considered noise, and therefore, no noise reduction is applied in the corresponding image component; to +150%, which means noise reduction is applied to the image elements that are weaker than 250% of the noise profile's noise level.

Noise reduction amounts can be in the range from 0% (none of the detected noise is removed) to 100% (all the detected noise is removed). By default, the noise filter removes 100% of detected noise (some of the noise reduction amount defaults may be different from 100%).

Decreasing the noise reduction amounts can have a positive effect if the input image contains some natural noise. For example, when you filter images of asphalt, sand, or anything else that contains fine natural noise-like features, it may be helpful to reduce amounts down to 40-50% (see Partial filtration for additional tips). Our experience shows that these values generally provide a good balance between preserving image details and noise removal.

It is recommended to disable the sharpening filter when adjusting the noise filter. To disable the sharpening filter, uncheck all channels in the Sharpening Settings box.

Adjust noise reduction amounts (optional)

  • Use the Noise Reduction Amounts: High, Mid, and Low; Y, Cr, Cb (R, G, B) sliders.

    You can vary the noise reduction amount for each frequency and channel component of the input image. The higher a specific noise reduction amount, the more of the detected noise is removed in the corresponding image component. Be careful, setting the noise reduction amounts too high can lead to loss of fine details and unnaturally looking (over-smooth, plastic-like) results. Too low amounts may be not enough to sufficiently remove the objectionable part of the noise. You have to balance the noise reduction amounts (most importantly, the amount of noise reduction in the Y channel) to get the result that looks best to your eyes.

    Comment
    As human vision is not very sensitive to variations of colors, strong filtration in the Cr and Cb channels does not noticeably distort an image, but efficiently removes color noise.

    If the input image has only fine (high frequency) noise elements you can utilize only the high frequency filter and switch off the filters for other frequencies by setting their amounts to 0%.

    Noise samples of different frequency/size are shown in the Noise Filter Settings box. These are examples of grainy structures typically regarded as noise.

Adjust additional filter settings (optional)

  • If the input image contains strong low frequency noise then you may want to switch on the very low frequency filter (check the Very low freq checkbox in the Noise Filter Settings box).
    Smooth edges
    Off
    On

  • Check the Smooth edges checkbox to make edges and lines look smoother (see an example on the right).

  • Check the High quality checkbox to enable higher quality noise reduction filter. This will slightly slow down processing but will deliver the most accurate results in return. You may want to check this option in the very end just before applying the filtration to the whole image.

  • Check the High resolution checkbox to enable the higher resolution noise filter. This may be useful when processing images with very fine details that should be better preserved by the filter.

Use preview

  • Use the preview when adjusting the noise filter settings.

    After you have made changes to the noise filter parameters, do not forget to check the preview. Use the preview on different parts of the image to get a better feeling for the results of noise reduction. Using the Auto recalculate preview option is recommended (see Filtration options).

    If the noise filtration looks too strong (weak) try to decrease (increase) the noise reduction amounts for appropriate channels and/or frequency ranges.

    Usually it is not necessary to change the noise levels if the noise profile is accurate. You only have to adjust the noise levels if you see that some noise elements are not reduced even if you set the noise reduction amounts to 100%. Such residual noise elements are caused by inaccurate noise profile (providing inaccurate noise levels). This may be compensated by adjusting (increasing) the noise levels in the filter settings.

Adjust noise levels (optional)

  • Use the Noise Levels: High, Mid, and Low; Y, Cr, Cb (R, G, B) sliders.

    The noise filter has access to three frequency components and three channel components of the input image. Corresponding sliders adjust the estimated noise levels for each of these components.

    The higher a specific noise level, the more image elements in the corresponding image component are considered noise. Be careful, setting a noise level setting too high can lead to removal of important image details. Setting a noise level setting too low can lead to incomplete filtration: residual noise and compression artifacts can stay in the output image.

    As a rule, if the device noise profile has been built properly, it is not necessary to increase the noise levels by more than 50%. If the input image contains strong surges of noise in the high frequency range, it is recommended to increase the high frequency noise level up to +20 to 40%.

    If the input image contains strong color noise, it is recommended to increase the Cr and Cb noise levels to +30%. In some cases, it may be useful to increase these noise levels up to +100%.

    If adjusting noise levels still does not help and some noise elements remain in the image, probably the device noise profile is not good at all. Return to Stage II. Prepare a device noise profile and additionally fine-tune the device noise profile or simply rebuild the profile from scratch.

Use Component Viewer (optional)

The Component Viewer is intended for detailed examination of both frequency and channel components of the image. Find more details about using this tool in the Component Viewer subsection.

Use Variant Selector (optional)

The Variant Selector is designed to compare several variants of filtration side-by-side to find the optimum filter settings easier and faster. More information about this tool is available in the Variant Selector subsection.

Adjusting sharpening settings in Advanced mode (optional)

Note: You can skip this subsection when reading for the first time.

The sharpening filter is designed to increase image sharpness without increasing the noise strength.

The default values of the sharpening settings should produce satisfactory results (when sharpening is enabled for any of the channel components) but you are encouraged to vary the settings to find values that produce the desired level of sharpness. Zero sharpening amounts will not sharpen the image at all. The non-zero sharpening amounts will apply sharpening of the specified strength. Use sharpening controls for different frequency components to sharpen fine, medium or large image details. As with any other sharpening method, you have to balance the amounts to avoid over-sharpening.

Use the preview when adjusting the sharpening settings.

Select color channels where sharpening should be applied

  • Use checkboxes in the Sharpening Settings box.

    If the working color space is RGB, then all color channels should typically be processed. If it is the YCrCb color space (JPEG or Symmetric), then, usually, there is no need to sharpen the Cr and Cb channels.

Select sharpening mode

  • Check the Conservative checkbox to enable more accurate sharpening, which produces much less halo effect around sharpened image details.

Adjust sharpening amounts

  • Use the High, Mid and Low sliders in the Sharpening Settings box.

    Specify how much sharpening should be applied to each frequency component of the image.

    The standard sharpening settings used by many graphic editors are 100% for high frequency and 0% for medium and low frequencies (used by default).

Use preview

  • Use the preview when adjusting the sharpening settings.

    After you have made changes to the sharpening settings, do not forget to check the preview. Use the preview on different parts of the image to get a better feeling for the results of sharpening.

As soon as you are happy with the preview results regarding both noise reduction and sharpening, proceed to the subsection about saving the filter settings into a preset or to the Stage IV. Apply filter to the input image.


 Neat Image user guide / Filtration process details / Stage III. Adjust filter settings

Save filter settings into a preset (optional)

To save the filter settings into a preset

  • Click [image] (the Save filter settings as preset… button, pink disk) in the Filter Preset box or select the Profile | Save Filter Preset… menu item.

    In the Save filter preset as dialog box, specify the name of the file to save the preset. The filter presets are stored in *.nfp files.

Saved filter preset includes the noise filter and sharpening settings. By saving-opening a preset, you can reproduce exactly the same filter settings later on. Also, you can exchange filter presets with other users of Neat Image. Together, a device noise profile and a filter preset can be used to accurately reproduce the filtration results.

To open a previously saved filter preset

  • Click [image] (the Open filter preset… button, pink disk) in the Filter Preset box or select the Filter | Load Filter Preset… menu item. In the Open filter preset dialog box, specify the name of the filter preset to be opened.

    or

  • Select a preset using the popup menu: click on the button on the side of the preset name shown in the top part of the Filter Preset box, and select a preset from the popup menu. If there is no popup menu, please check the Folder options.

There are several pre-written filter presets in the PRESETS subfolder of installed Neat Image application. Please explore these presets to see what combinations and values of the noise and sharpening filter's settings can be used to solve typical tasks (names of the presets explain these tasks).


 Neat Image user guide / Filtration process details

Stage IV. Apply filter to the input image

Use the Output Image tab in the Filtration Job Editor:

1. Select output image type

  • Select the output image type from the list in the Filter Output box (24-bit RGB/48-bit RGB; 8-bit/16-bit Grayscale). The output image type can be made different from the input image type. In this case, the input image will be internally converted during processing.

2. Apply the filtration

  • Click [image] (the Apply button) on the toolbar or select the Filter | Apply menu item.

    Processing may take some time (from seconds to minutes, depending on the speed of your computer's processor and size of the image). During this time, you can minimize the Filtration Job Editor window.

    On the processing speed
    Neat Image is a processor-intensive application, and in the current implementation, the processor's speed is the most critical. On Pentium IV 1.4GHz, processing a 2-megapixel image takes about 10 seconds (Neat Image v4.0). On a computer of typical configuration, the processing time is linear with respect to image size (in megapixels).

    When the filtration is completed, you can compare the output and input images. Click [image] (the Compare button) on the toolbar or just click the output image. If the filtration result is not satisfactory, please return to Stage III to change some of the filter settings, or to Stage II to build a new or improve the current noise profile to make it better match the noise of the input image.

See Filtration options for more details about the following filtration-related options of Neat Image: audible indication and filter process priority.

Stage I :: Stage
  II :: Stage III :: Stage
  IV :: Stage V


 Neat Image user guide / Filtration process details

Stage V. Save the output image

Use the Output Image tab in the Filtration Job Editor:

To save the output image

  • Click [image] (the Save output image as... button) on the toolbar or select the File | Save output image as… menu item.

    The available output file formats are: BMP, TIFF, and JPEG (see the Requirements subsection for more details).

    When you save the output image in JPEG format, you can select the compression quality. The last used compression quality value is always used as default unless you change it when saving the output image in JPEG format.

    Neat Image uses 4:1:1 subsampling with JPEG quality smaller than 85. If it is 85 or higher then subsampling is turned off.

    or

  • Use the Windows clipboard to export the filtration results to another application. Use the Edit | Copy menu item for that purpose. An image put on the clipboard will be in 24-bit RGB format.

Stage I :: Stage
  II :: Stage III :: Stage
  IV :: Stage V


 Neat Image user guide

Device noise profiles

A device noise profile (or noise profile, or simply profile) describes the properties of noise produced by an imaging device (e.g., digital camera, scanner, etc.) working in certain mode. Several device noise profiles corresponding to different device modes constitute a profile set that can be used by Neat Image to process images produced in any of these device modes.

You can find ready-made noise profiles or build your own ones for your camera or scanner. Learn how to find, build and use device noise profiles in Neat Image in the subsections below:

Getting ready-made noise profiles

Building profile for specific device mode (standard profiling procedure)

Preparing profile set for different device modes

Using noise profiles


Getting ready-made noise profiles

You may find free ready-made sets of profiles for your digital camera or scanner in:

  • Profiles section of Neat Image web page;

  • Device noise profiles section of Neat Image community forum;

  • Other digital imaging forums and web pages from users of Neat Image.

Once you have downloaded and installed* a set of profiles for different modes of your imaging device, you can select an appropriate profile from the set to process specific image.

Please be aware that using ready-made profiles built by other people may produce less than optimal results with your images because of possible slight differences in noise properties of cameras (scanners) as well as due to different imaging processing workflows used. Therefore, we advise to use ready-made noise profile built by others only as a starting point to learn how to use Neat Image. To achieve the best results consider building your own profiles. For that, please follow the guidelines of the next subsections.

* To install a profile set: unzip the downloaded profile archive to the folder specified in Neat Image Options: Folders | Profile folder.


Building profile for specific device mode
(standard profiling procedure)

In this subsection, you will find out how to build a single noise profile for an image produced in specific shooting or scanning mode.

When building a profile, you will mostly work with the Device Noise Profile tab in the Filtration Job Editor:

It is assumed that some input image is opened in the Filtration Job Editor.

Building a new noise profile generally consists of three stages:

Stage I. Building a profile itself;
Stage II. Documenting the profile;
Stage III. Saving the profile.

The Stage I. Building a profile can be done with the use of a regular image (for example, the image that you want to denoise in Neat Image or any other normal image) or with the use of the Calibration Target. These two cases are described as two alternative versions of the Stage I:

Stage I. Case of building a profile using a regular image;
Stage I. Case of building a profile using the Calibration Target.

You may want to follow the case of building a noise profile using a regular image if you only need a single-use profile to process selected input image. In this case, the input image (or an alternative regular image from the same series; it should be produced by the same device working in the same mode) should contain enough uniform featureless areas for noise analysis.

A uniform area (with minor variation in all channels of the image) may be overcast sky, clear sky (without clouds and birds), or any other part of an image, where there are no visually perceptible details (except those produced by noise). Neat Image needs uniform featureless areas of around 100x100 pixels (minimum is 60x60 pixels).

If the input image does not contain such areas and you have no suitable alternative regular image that contains such areas, you can prepare a special test image and follow the case of building a noise profile using the Calibration Target. That is also recommended if you want to prepare a reusable noise profile for specific mode of your camera or scanner.

Stage I. Case of building a profile using a regular image;

Stage I. Case of building a profile using the Calibration Target;

Stage II. Documenting the profile (optional);

Stage III. Saving the profile for future use (optional).


Stage I. Case of building a profile using a regular image

To build a noise profile using a regular image you have to take 3 steps:

Step 1. Preparing a regular image for noise analysis

Step 2. Selecting working color space

Step 3. Analyzing the image noise (profiling)

Stage I (using a regular image)

Stage I (using the Calibration Target) 		:: Stage II :: Stage III


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using a regular image

Step 1. Preparing a regular image for noise analysis

To analyze noise in a regular image, you can use the input image or an alternative regular image that was produced by the same camera (or scanner) in the same or similar shooting (scanning) mode. Using the input image usually produces most accurate noise profile that perfectly matches noise properties of this input image. However, if there are not enough flat featureless areas in the input image then you have to use an alternative regular image.

Case of using the input image

In this case, simply stay with the input image that is already opened in the Filtration Job Editor. The input image is displayed in both the Input Image and Device Noise Profile tabs.

To build a profile, work with this image in the Device Noise Profile tab in the steps 2-3.

Case of using an alternative image

If there is no large enough uniform featureless areas in the input image, you can use an alternative image. The alternative image is supposed to be produced by the same device working in the same or similar mode. This can be just another image from the same series; the image should contain at least one large enough uniform featureless area suitable for analysis.

To open the alternative image:

  • Click [image] (the Open test image… button) on the toolbar (or select the File | Open Test Image… menu item).

    or

  • Paste the alternative image from the Windows clipboard or drag and drop it from another application to the image viewer in the Device Noise Profile tab.

The alternative image will only replace the input image in the Device Noise Profile tab for the purpose of building a noise profile. To build a profile, work with this image in the Device Noise Profile tab in steps 2-3.

Step 1 :: Step 2 :: Step 3


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using a regular image

Step 2. Selecting working color space

The working color space is an internal parameter of Neat Image noise reduction algorithm. The input image is temporarily converted to selected working color space for processing (the input and output images are always in the RGB color space, so you do not have to worry about color space conversion).

We recommend using the YCrCb JPEG color space to process color images in Neat Image.

Normally, the YCrCb JPEG (default) working color space is best for color photographic images, the YCrCb Symmetric color space - for grayscale (halftone) images saved in an RGB format. The RGB color space may also be useful for special purposes, for example, to filter only one specific color channel (R, G or B) of the image.

  • Use the Working color space list in the Device Noise Profile box to select required working color space.

The subsequent noise analysis will be done in selected color space. Neat Image will try to automatically redo the analysis if you change the working color space later on.

Step 1 :: Step 2 :: Step 3


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using a regular image

Step 3. Analyzing image noise (profiling)

Analyzing noise is the main part of building a noise profile of a device working in certain mode. Neat Image offers two ways of conducting the noise analysis (profiling): automatic and manual one. Using automatic profiling is easier and therefore recommended for beginners. In difficult cases (for example if there is no uniform featureless area in analyzed image), automatic profiling may not work or produce less than perfect results. You can always override automatics and use manual profiling.

Case of using automatic profiling

Case of using manual profiling

Step 1 :: Step 2 :: Step 3


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using a regular image / Analyzing image noise

Case of using automatic profiling

To analyze noise properties, Neat Image uses uniform image areas that contain noise but no visible or important details. With automatic profiling, Neat Image tries to find one such area automatically and then uses the found area to analyze image noise.

  • Click [image] (the Auto Profile with Regular Image button) on the toolbar, or select the Profile | Auto Profile with Regular Image menu item, or press F2.

    Neat Image will show the image area selected for analysis (see blue selection box in the image viewer; blue color is an indication of automatic selection) and will analyze it automatically.

    In some difficult cases, Neat Image may have trouble with finding a uniform featureless area in the image. You will notice that the selected area, for example, will contain some important image details. In such a case, just move the selection (or draw a new one) to an area that does not contain any image details and click the same Auto Profile with Regular Image button again.

If you see that the area selected for analysis is indeed uniform and featureless, then you can be sure that noise analysis is accurate. Please simply proceed to Stage II. Documenting the noise profile.


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using a regular image / Analyzing image noise

Case of using manual profiling

As compared with automatic profiling, which produces a noise profile in one step, manual profiling is done in two sub-steps with two noise analyzers used. The Rough Analyzer is used to do initial analysis of image noise; it produces a rough noise profile. The Fine-Tuning Analyzer improves the initial analysis and produces a fine-tuned noise profile.

Both Rough Analyzer and Fine-Tuning Analyzer need uniform image areas to measure noise properties. If the image has uniform areas that contain noise without visible important image details, Neat Image can analyze the noise properties using these areas. During manual profiling, Neat Image does not automatically find these uniform areas (or areas that contain no details important to you), so you have to manually specify areas that it should analyze. A uniform area (with minor variation in all channels) may be overcast sky, clear sky (without clouds and birds), or any other part of an image with no visually perceptible details (except those caused by noise).

Sub-step A. Doing rough analysis

Sub-step B. Doing fine-tuning analysis

Advanced techniques available with manual profiling


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using a regular image / Analyzing image noise / Manual profiling

Sub-step A. Rough analysis

Rough analysis requires only one uniform featureless image area. You have to manually find and analyze it:

1. Find a uniform featureless image area

  • Scroll, pan, zoom the image in the viewer in the Device Noise Profile tab to find a uniform image area.

    The area should be at least 60x60 pixels large. That is the minimum size; the recommended size is 100x100 pixels or more.

    See examples of uniform image areas.

    If you cannot find a uniform area in the input image, consider using an alternative regular image or use the Calibration Target as explained in Stage I. Case of building a profile using the Calibration Target.

    Use [image] (the Show negative button) on the toolbar to temporarily turn the image into its negative. This can make finding the noise and noise-only areas easier in some cases.

2. Select found uniform image area

  • Use the mouse to select a uniform image area: press the left button, drag the mouse and then release the button.

    The selection should be at least 60x60 pixels large; the recommended size is 100x100 pixels or more. The selection frame will change its thickness according to the selection size. When you are selecting an area, the selection status in the Rough Noise Analyzer box is dynamically indicating whether the chosen area is large enough for analysis.

    Warning

    The selection status displays "signal clipping!" when the image in some of the channels (R,G,B) is close to the dynamic range limit in the selected area. A device noise profile built using the selected area could be inaccurate. Please try to avoid this for best results.

3. Analyze selected image area with Rough Noise Analyzer

  • Click [image] (the Rough Noise Analyzer button) in the Rough Noise Analyzer box or select the Profile | Build Rough Profile Using Selected Area menu item.

    Neat Image will measure the noise characteristics of the image acquisition device by analyzing the selected uniform image area. You only have to make this analysis once to create a rough noise profile.

Sub-step A :: Sub-step B


Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using a regular image / Analyzing image noise / Manual profiling

Sub-step B. Fine-tuning analysis

For more accurate noise reduction, it is helpful to measure the dependence between the noise level and the local brightness in different image areas. This dependence should be taken into account if the image noise appreciably depends on brightness (for example, if noise is strong in dark areas and weak in light areas).

The Fine-Tuning Analyzer measures this dependence. The measurements results are displayed by the equalizer in the Fine-Tuning Analyzer box. The equalizer has nine sliders corresponding to the range of brightness from darkest to lightest for each sensor (R, G, B) of image acquisition device.

The values of the equalizer sliders correspond to the estimated noise levels in different brightness ranges relative to the rough noise profile. Positive values of sliders reflect higher estimated noise levels and make Neat Image consider more image elements to be noise; negative values reflect lower estimated noise levels and fewer image elements are considered noise in the corresponding brightness ranges.

The Fine-Tuning Analyzer can be used in automatic and manual way. Below, the automatic method is described first. Then the manual method is explained in details to provide a better understanding of the whole process and result. The manual method is only available in Advanced Mode (see the Tools | Advanced Mode menu item).

Case of automatic fine-tuning

Automatic fine-tuning finds and analyses several flat featureless image areas automatically. You do not need to do anything manually; auto fine-tuning can be done in just one click:

Click [image] (the Auto Fine-Tuning Analyzer button) or select the Profile | Auto Fine-Tune menu item.

The whole image will be automatically analyzed by Neat Image and some of the equalizer sliders will receive the 'measured' status (see diagrams details). The values of other sliders will be then automatically interpolated by the Auto Complete function and will receive the 'manual' status.

You may want to inspect the equalizer values after applying auto fine-tuning. In most cases, there is no need to do manual slider adjustments. If you feel this is necessary, please follow the guidelines of the manual fine-tuning subsection below. Otherwise please proceed to Stage II. Documenting the noise profile.

Case of manual fine-tuning

Manual fine-tuning involves analyzing several flat featureless image areas. You have to manually find and analyze them one after another:

1. Find and select a uniform featureless image area

  • Scroll, pan, zoom the image in the viewer in the Device Noise Profile tab to find a uniform image area.

  • Use the mouse to select a uniform image area: press the left button, drag the mouse and then release the button.

    See examples of uniform image areas.

    The size of an image area can be from 30x30 to 300x300 pixels. The selection frame will change its thickness according to the selection size. Also, when you are selecting an image area, the selection status on the bottom of the Fine-Tuning Analyzer box is dynamically indicating which frequency components (see what is frequency) are contained in the selected area and would be analyzed: 'high', 'high+mid', 'high+mid+low', 'high+mid+low+very low freqs'.

    Size of an area, pixels Which frequency components would be analyzed Rating
    200x200 - 300x300
            High, medium, low and very low
    Best
    100x100 - 200x200
             High, medium and low
    Good
    60x60 - 100x100
             High and medium
    Ok
    30x30 - 60x60
             High
    Poor

    The selected area would be analyzed according to its frequency composition (of high, medium, low and very low frequency image components). When a frequency component is not analyzed, all the data related to this component are estimated (extrapolated). That is always not accurate; therefore, it is best to choose large areas so that all the frequency components could be analyzed.

    Warning

    The selection status displays "signal clipping!"when the image in some of the channels (R,G,B) is close to the dynamic range limit in the selected area. Fine-tuning a device noise profile using the selected area could be inaccurate. Please try to avoid this for best results.

    When you select an image area, its position in the brightness range is shown with red font color of the value(s) of the corresponding slider(s)' in the noise profile equalizer. Also, it is displayed by the color indicators at the bottom of the equalizer.

2. Analyze selected image area with Manual Fine-Tuning Analyzer

  • Click [image] (the Manual Fine-Tuning Analyzer button) or select the Profile | Fine-Tune Using Selected Area menu item.

    The analysis results are shown in noise profile equalizer. For uniform areas with noise only, the corresponding slider receives the 'measured' status - the green shading on the slider's value, like [image]. If an area with signal clipping has been used to analyze noise characteristics then the corresponding slider receives the 'inaccurate' status - the red shading, like [image]. When an area with unexpectedly strong level of noise is encountered, the orange shading is applied, like [image].

    Warning

    The orange shading is applied when the analyzed noise in the corresponding brightness range is unexpectedly strong. There are several possible reasons for that:

    • Fine-tuning is being done using a bad (e.g., containing visible details) image area;

    • Wrong device noise profile is used (the profile's device and device mode do not match those of the analyzed image OR the rough noise analysis has been done inaccurately);

    • Noise in this image is unusual and contains strong variations.

    The orange shading is a warning sign. It does not necessarily signify wrong measurement. Please make you own judgment in this situation and if necessary rebuild the device noise profile or select a more uniform area for fine-tuning.

    The red shading is a sure sign of wrong measurement. You have to reset the corresponding slider or undo the last analysis (see below).

3. If necessary, reset status of a slider (optional)

  • Click on the color shading of a slider to reset its status and value.

    If a slider has red (or any other color) shading, you can safely reset it and analyze another part of the input image to re-measure its value. There is no need to reset the entire equalizer because of one wrong value.

4. If necessary, undo the last analysis (optional)

  • Click [image] (the Undo button) or select the Profile | Undo Last Fine-Tuning Analysis menu item.

    Undoing the last fine-tuning analysis may be useful when a bad choice of image area has resulted in bad analysis results.

5. If necessary, reset the whole equalizer (optional)

  • Click [image] (the Reset fine-tuning results button) or select the Profile | Reset Fine-Tuning Results menu item.

6. Repeat 1-5 with other uniform image areas of different brightness

    To make a device noise profile more accurate you have to fine-tune it using several uniform areas of the image (naturally, analyzing the same area many times makes little sense). Try to choose uniform areas to cover all brightness ranges in all channels of the equalizer (i.e., to get shadings on all sliders' values). Use color shadings as well as red markings (which are used to reflect the range of the current selection; like -40%) to guide the process of fine-tuning. Also use the color indicators on the bottom of the Fine-Tuning Analyzer box as guidance when doing that. If the majority of sliders' values have green shadings, you can stop the process.

7. Set remaining sliders at your option (optional)

    If not set by the Fine-Tuning Analyzer, the sliders of the equalizer have default values. You can leave them with default values or can adjust these sliders to bring them into better agreement with the measured ones. Adjusting the sliders can also be done automatically or manually:

  • Manually adjust the remaining sliders as you consider necessary.
    Manually adjusted sliders receive the 'manual' status (a yellow shading, like [image]).

    or

  • Use Auto Complete to automatically adjust the unmeasured sliders by interpolation based on the measured data. Click [image] (the Auto Complete button) or select the Profile | Auto Complete menu item to automatically complete the fine-tuning.

    Using Auto Complete is highly advisable as the last step of the manual fine-tuning process.

    The figure below summarizes the status marking of sliders:

    When using the noise profile equalizer, use the color indicator to simplify the fine-tuning process. Colored lines of the indicator show:

    • which sliders of the equalizer correspond to the colors of the selected image area/pixel (use the Shift key for pixel-wise indication);
    • which slider values are different from default values;
    • which sliders have (possibly) incorrect values.

    The figure below explains each state of the indicator elements:

    How to check if a device noise profile has been fine-tuned properly
    The equalizer sliders should be mostly shaded in green and, occasionally, yellow. The color indicators should be filled with solid colored lines at all positions.

Sub-step A :: Sub-step B


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using a regular image / Analyzing image noise / Manual profiling

Advanced techniques available with manual profiling

As advised in the Step 1. Preparing a regular image for noise analysis, the image used for noise analysis should contain enough uniform featureless areas. If the input image does not contain such areas then an alternative image from the same series can be used. With manual profiling, there are several advanced profiling techniques available that use one or two images. Below is the list of these techniques sorted from the most desirable to the least desirable (from the standpoint of profiling accuracy):

  1. Use a 100x100+ uniform featureless area in the input image for rough analysis;
    then fine-tune the profile using several other uniform featureless areas in the same image;

  2. Do (1) with an alternative image (may be an image of the Calibration Target or a regular image) from the same camera (scanner) shot (scanned) in similar conditions; then additionally fine-tune the profile using the input image;*

  3. Do (1) with another image from another camera (scanner) of the same model shot (scanned) in similar conditions; then additionally fine-tune the profile using the input image;

  4. Get a ready-made profile built with a similar image from another camera (scanner) of the same model; then additionally fine-tune the profile using the input image;

  5. Do (1) starting with a smaller (60x60-100x100) uniform featureless area in the input image;

  6. Cut out a 59x59 or smaller uniform featureless area from the input image and (preferably seamlessly, as much as possible) clone it in an image editor to produce a 60x60+ area; do (1) with the resulting larger area;

  7. Up-sample your image (using your favorite resampling method) in an image editor; do (1) with the up-sampled image; process the up-sampled image in Neat Image (do not process original image with such a profile); down-sample the result in the image editor.

* Here and below, when additional fine-tuning is applied using the input image, the equalizer values should not change much if the two images were indeed shot (scanned) in similar device modes. If the equalizer values do change a lot, consider doing (1) with another image that is closer to the input image.


 Neat Image user guide / Device noise profiles / Building profile for specific device mode

Stage I. Case of building a profile using the Calibration Target

The Neat Image Calibration Target is specially designed to enable easy profiling of various imaging devices. It can be used to build a single profile for a specific device mode or a set of profiles for different modes.

Follow the steps below to prepare a single profile.

Step 1. Preparing the Calibration Target

Step 2. Preparing a shot or scan of the Calibration Target

Step 3. Opening the image

Step 4. Selecting working color space

Step 5. Analyzing image noise

Stage I (using a regular image)

Stage I (using the Calibration Target) 		:: Stage II :: Stage III


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using the Calibration Target

Step 1. Preparing the Calibration Target

There are two ways to use the Calibration Target: you can open it on the screen and take a shot (with a digital or traditional camera, depending on your workflow) or you can print it out and then shoot or scan the hardcopy.

Shooting the Calibration Target off the screen is faster, especially with a digital camera. However, be careful when shooting it off the screen of a CRT monitor because you may occasionally capture scan bands. These bands may spoil a part of the shot. If you cannot avoid these bands, prepare a printed version of the Calibration Target or shot it off the LCD monitor, which does not produce this effect.

Case of shooting the Calibration Target off the screen

  1. Click [image] (the Calibration Target button) or select the Tools | Calibration Target… menu item; the Profiling with Calibration Target popup window (see on the right) will open;

  2. Click [image] (the Display target… button) in the popup window;

  3. Use the displayed Calibration Target in the Step 2. Preparing a shot or scan of the Calibration Target.

Case of shooting the printed Calibration Target

  1. Click [image] (the Calibration Target button) or select the Tools | Calibration Target… menu item; the popup window will open;

  2. Click [image] (the Save target… button) and select a name for a *.BMP file to save the image of the Calibration Target to;

  3. Open the saved BMP image of the Calibration Target in your image editor and print out the image on a sheet of white matte paper; make sure the image fills the whole page;

  4. Use the printed target in the Step 2. Preparing a shot or scan of the Calibration Target.

Step 1 :: Step
  2 :: Step 3 :: Step
  4 :: Step 5


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using the Calibration Target

Step 2. Preparing a shot or scan of the Calibration Target

Case of digital camera

Use the displayed or printed Calibration Target to prepare a test shot for building a device noise profile for your camera:
  1. Set the camera to a specific shooting mode (ISO level, etc.) you want to build a profile for;
  2. Important: set the focusing system on infinity (you have to get an out of focus image);
  3. Make sure the Calibration Target fills the whole frame and make a shot;
  4. Open the resulting shot in Neat Image; see the Step 3. Opening the image.

Case of flatbed scanner

Use the printed Calibration Target to prepare a test scan for building a device noise profile for your flatbed scanner:

  1. Set the scanner to a specific scanning mode (resolution, light level, etc.) you want to build a profile for;
  2. If possible set the scanner out of focus (an out of focus scan is preferred for profiling); a possible way to achieve this is to raise the page over the scanner glass a bit;
  3. Scan the printed Calibration Target;
  4. Open the resulting scan in Neat Image; see the Step 3. Opening the image.

Case of slide scanner

Use the displayed or printed Calibration Target to prepare a test scan for building a device noise profile for your film scanner:

  1. Set the camera to a specific shooting mode (film type, exposure, etc.) you want to build a profile for;
  2. Important: set the focusing system on infinity (you have to get an out of focus image);
  3. Make sure the Calibration Target fills the whole frame and make a shot;
  4. Develop the slide and put it into the scanner;
  5. Set the scanner to a specific scanning mode (resolution, light level, etc.) that you want to build a profile for and scan the slide;
  6. Open the resulting scan in Neat Image; see the Step 3. Opening the image.

Step 1 :: Step 2
  :: Step 3 :: Step
  4 :: Step 5


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using the Calibration Target

Step 3. Opening the image

To open the resulting shot or scan in Neat Image:

  • Click [image] (the Open test image… button) on the toolbar (or select the File | Open Test Image… menu item) and select the shot (scan) of the Calibration Target. The image will only replace the input image in the Device Noise Profile tab for the purpose of building a device noise profile.

    or

  • Paste the shot (scan) of the Calibration Target from the Windows clipboard or drag and drop it from another application to the image viewer in the Device Noise Profile tab.

Step 1 :: Step 2 :: Step 3 :: Step 4 :: Step 5


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using the Calibration Target

Step 4. Selecting working color space

The working color space is an internal parameter of Neat Image noise reduction algorithm. The input image is temporarily converted to selected working color space for processing (the input and output images are always in the RGB color space, so you do not have to worry about color space conversion).

We recommend using the YCrCb JPEG color space to process color images in Neat Image.

Normally, the YCrCb JPEG (default) working color space is best for color photographic images, the YCrCb Symmetric color space - for grayscale (halftone) images converted to RGB format. The RGB color space may also be useful for special purposes, for example, to filter only one specific color channel (R, G or B) of the image.

  • Use the Working color space list in the Device Noise Profile box to select required working color space.

The subsequent noise analysis will be done in selected color space. Neat Image will try to automatically redo the analysis if you change the working color space later on.

Step 1 :: Step 2 :: Step 3 :: Step 4 :: Step 5


 Neat Image user guide / Device noise profiles / Building profile for specific device mode / Using the Calibration Target

Step 5. Analyzing image noise

With the shot or scan of the Calibration Target, Neat Image can build a device noise profile completely automatically.

  • Click [image] (the Auto Profile with Calibration Target button) on the toolbar, or select the Profile | Auto Profile with Calibration Target menu item, or press F3.

After the analysis is completed, proceed to the Stage II. Documenting the noise profile.

Step 1 :: Step
  2 :: Step 3 :: Step
  4 :: Step 5


 Neat Image user guide / Device noise profiles / Building profile for specific device mode

Stage II. Documenting the noise profile

At this point of building the noise profile for your camera or scanner, the noise analysis itself is done and all important data are gathered into the profile. However, you may still have to manually document the profile if Neat Image was not able to do this automatically. With most images from digital cameras, Neat Image is able to automatically extract the crucial information about camera shooting mode from the EXIF data fields of the analyzed image and put this information into the Device name and Device mode fields of the profile.

If Neat Image has not automatically placed any information to the Device name and Device mode fields after noise analysis, please fill out these fields manually.

  • Use the Device name and Device mode fields on the Device Noise Profile panel.

    Here, you can specify the model of image acquisition device used, like "Olympus C5050Z".

    Also, you can describe the device mode. Specify parameters used to capture the image. For example, this can be something like the following:

ISO: 200
Compression: 5 bits/pixel
Exposure time: 1/80s
White balance: Default

    About Device name and Device mode notes

    It is highly recommended to specify these details to keep record of devices, device modes, and corresponding device noise profiles that you use.

    The noise characteristics of any two devices can be extremely different. Even a single device in different modes can produce significantly different noise. Therefore, it is always better to use separate noise profiles for different devices and device modes to avoid inaccurate filtration and artifacts. Commenting on the device name and device mode parameters helps you to keep track of them afterwards when you do manual profile matching, i.e., when you manually select a suitable profile to process specific image.

    Automatic profile matching available in Neat Image uses the EXIF data of the image files, not the Device name and Device mode fields, so filling out these fields may not be necessary for automatic profile matching. However, filling out these fields is highly advisable both for the clarity purposes and for the cases of EXIF-less input images (in such cases, you have to manually select a suitable profile based on the Device name and Device mode fields).

    Please see the Preparing a set of profiles for different device modes section to find more details about camera and scanner parameters that may need to be documented in the Device mode field.

Stage I (using a regular image)

Stage I (using the Calibration Target) 		:: Stage II :: Stage III


 Neat Image user guide / Device noise profiles / Building profile for specific device mode

Stage III. Saving the noise profile

  • Use [image] (the Save device noise profile as… button, blue disk) in the Device Noise Profile box or select the Profile | Save As… menu item.

    In the Save device noise profile as dialog box, a default file name is offered that you can change. The default is based on the device name and device mode when these are available from the EXIF data fields of the analyzed image. If the EXIF data are not available then the default profile name is based on the name of analyzed image file. Use the suggested default or change the name of the file to store the device noise profile. The device noise profiles are saved in *.dnp files.

    File naming considerations

    If you are going to re-use a device noise profile, select a good file name explaining the device name and mode so that you could easily recognize this profile by its file name later on. Alternatively, you can use special folder structuring to keep many device noise profiles arranged according to their device modes.

    See Preparing a set of profiles for different device modes : Stage III. Structuring the profile set for additional information.

    Saved noise profile includes complete noise analysis (including both rough and fine-tuning analyses). Therefore, by re-opening the noise profile, you can reproduce exactly the same conditions for image processing later on. Also, you can exchange noise profiles with other Neat Image users.

    In addition, the noise profile can contain an image sample that has been used to build rough noise profile. You can control whether it is included into profile using the Save analyzed image area in profile option.

Stage I (using a regular image)

Stage I (using the Calibration Target) 		:: Stage II :: Stage III


Preparing profile set for different device modes

Usually an imaging device can work in several different modes. Therefore, there should be several device noise profiles, corresponding to each mode to enable accurate processing of arbitrary images produced by this device. If the set of profiles covers all modes of the device then any image from this device can be processed by using one of the profiles from the set.

In this subsection, you will learn how to prepare a reusable set of profiles for a range of modes of specific device.

As an owner of specific imaging device you are in perfect position to prepare a profile set because you have direct access to the device hardware. Moreover, using your own set of profiles will make noise reduction more accurate because such profiles better reflect the specifics of the camera or scanner as well as the workflow you use.

To help you, we provide guidelines about structuring and documenting sets of profiles so that you could prepare a set of profiles for your camera, scanner, etc., in such a way as to make consequent use of this set easy for you and other people if you decide to share your results. Please do share because in this way you will help people with the same camera or scanner model. You can submit a set of profiles to Neat Image team to publish the set on www.neatimage.com (see Contacts) or just share them with other people directly.

Stage I. Selecting device parameters for profile set

Stage II. Building individual profiles

Stage III. Structuring profile set

Stage IV. Documenting profile set


Stage I. Selecting device parameters for profile set

To build a set of profiles for particular camera or scanner, you have to identify different device parameters that affect the noise characteristics and that you will take into account during profiling. There may be many device parameters but not all of them influence image noise and those that do differ by the strength of their influence. Naturally, you are only interested in those parameters that appreciably affect noise. Different noise profiles should be prepared for different values of important parameters, so you have to identify these parameters in the first place.

In the tables below, those parameters are described that appreciably affect noise characteristics (from the most to the less important ones) for digital cameras and scanners:

Digital camera parameters in the order of decreasing importance
ISO rate | 50, 100, 200, 400, etc.; depends on a camera | Higher ISO rate produces more noise.
Sharpness adjustment | Low, Normal, High, etc.; depends on a camera | Internal sharpness adjustment of a camera makes noise more intensive. Using no internal sharpness adjustment produces least noise.
Compression | 1:1 (or Uncompressed), 1:5 (or Fine), 1:10 (or Normal), 1:20 (or Basic), etc. or 2 bits/pixel, 4 bits/pixel, etc. depends on a camera | Strong JPEG compression typically produces more JPEG artifacts and destroys image elements including noise; weaker compression preserves more image elements including noise created by the image sensor. It is preferable to use the lowest amount of compression possible for the best results.
Resolution | 1:1 (original resolution, like 1600x1200), 1:2 (downsized in camera, e.g., 800x600), 2:1 (digital zoom, 2x), etc. | Camera's internal interpolation (both downsizing and upsizing, e.g., that of digital zoom) changes many characteristics of noise.
White balance | Sun, Cloudy, Incandescent, Fluorescent, etc.; depends on a camera | White balancing changes characteristics of noise (mainly of color noise) slightly.
Exposure | 1/16s, 1.0s, 16s; | Longer exposures produce more hot-pixel noise; also, some cameras switch on the automatic noise reduction when exposure is longer than certain threshold - this may affect the noise levels.

Scanner / camera parameters in the order of decreasing importance
Film type | For example, Kodak Tmax 400, Kodak Tri-X Professional 320, Fuji Superia 200, etc. | Every film type produces specific grain pattern, which depend on film materials. Strength of the grain depends on ASA/ISO rate of the film.
Scanning resolution | For example, 300 dpi, 3200 dpi, 4000 dpi, etc. | Higher scanner resolution emphasized film grain and makes it more evident in the scanner image.
Number of scan passes | Single pass, 2x pass, 4x pass, etc. | Multi-pass scanning can potentially produce less grainy images.

If two images were captured in the same or similar conditions (most of the above device mode parameters are the same) then the noise of these two images should be very similar. If you have built a device noise profile using one of these images, you can use this profile to filter both images with good results. If however, the shooting or scanning conditions were different then the noise in two images could be significantly different. In this case, cross-use of the noise profile is not recommended. Instead, two different profiles should be built and used to filter these two images.

Based on these considerations and tables above, identify the device mode parameters of your camera or scanner that (1) are important from the noise standpoint (see the tables above) and (2) are changed in your imaging tasks. For example, if you never change the sharpness adjustment of your digital camera then there is no need to build profiles for different values of the sharpness adjustment parameter. On the other hand, if you do shot with different ISO rates then you have to build profiles for every ISO rate you use. Some parameters are less important (for example, such as the White Balance or Exposure) and you may simply choose to ignore the difference in noise characteristics caused by such device mode parameters.

Identify the device mode parameters that, in your opinion, are important. For example, you could include the ISO rate: ISO 100, 200, 400; and JPEG compression level: HQ, SHQ. Then it is straightforward to write down all combinations of the selected parameters:

JPEG HQ, ISO 100
JPEG HQ, ISO 200
JPEG HQ, ISO 400
JPEG SHQ, ISO 100
JPEG SHQ, ISO 200
JPEG SHQ, ISO 400

Now you have to prepare a profile for each combination from this list. Please proceed to the Stage II to build profiles for all combinations.

Stage I :: Stage II :: Stage III :: Stage IV


Stage II. Building individual profiles

To build individual profiles for the profile set, you can either use the standard profiling procedure described earlier, or employ a special Neat Image tool - the Batch Profiler.

Using standard profiling procedure

To build individual profiles using the standard profiling procedure, follow the guidelines of the Building profile for specific device mode section. Using those guidelines, you can build a new profile for every combination of the device mode parameters as listed in Stage I. As a result, you obtain a set of noise profiles (several *.DNP files on the disk) that have to be structured in the Stage III and and documented in the Stage IV.

Using Batch Profiler

The Batch Profiler is a dedicated tool that can automatically prepare several noise profiles using shots or scans of the Calibration Target (the Batch Profiler it is not to be used with regular images). To use this tool, you have to prepare several shots (scans) of the Calibration Target and then analyze them all at once with the Batch Profiler.

1. Preparing set of images of the Calibration Target

To prepare shot or scan of the Calibration Target for every combination of device mode parameters, please follow the two initial steps of Stage I. Case of building a profile using the Calibration Target:

Step 1. Preparing the Calibration Target

Step 2. Preparing a shot or scan of the Calibration Target

Do the Step 2 for every combination of device parameters in your list. Then place all resulting image files to a new folder (and its subfolders if necessary) on the disk, for example:
C:\Target Images\*.JPG

2. Preparing profiles

To prepare profiles using the images of the Calibration Target:

  1. Select Tools | Batch Profiler… menu item in the Filtration Job Editor or Filtration Queue window. This will open the Batch Profiler window.

  2. In the Batch Profiler window, specify the folder with images of the Calibration Target and the folder where the Batch Profiler should save prepared device noise profiles.

  3. Click the Start button to initiate profiling process.
    When profiling is finished, new noise profiles are saved in the selected target folder.

  4. Use the Close button to close the Batch Profiler window.

As the result, you have a set of noise profiles (several *.DNP files on the disk) that have to be structured in the Stage III.Structuring profile set and and documented in the Stage IV. Documenting profile set.

Stage I :: Stage II :: Stage III :: Stage IV


Stage III. Structuring profile set

In the Stage II, you have prepared a set of profiles on the disk. These profiles have automatically received names that reflect the device modes they correspond to (if necessary device mode information was available in the analyzed images).

For example, the profiles for Olympus C5050Z could be named like the following:

Olympus C5050Z

C5050Z (ISO100; 2bpp; SharpNormal; 2560x1696; WB Default; 1by60s).dnp
C5050Z (ISO100; 2bpp; SharpNormal; 2560x1920; WB Default; 1by60s).dnp
C5050Z (ISO100; 5bpp; SharpNormal; 2560x1696; WB Default; 1by60s).dnp
C5050Z (ISO100; 5bpp; SharpNormal; 2560x1920; WB Default; 1by60s).dnp
C5050Z (ISO200; 2bpp; SharpNormal; 2560x1696; WB Default; 1by80s).dnp
C5050Z (ISO200; 2bpp; SharpNormal; 2560x1920; WB Default; 1by80s).dnp
C5050Z (ISO200; 5bpp; SharpNormal; 2560x1696; WB Default; 1by80s).dnp
C5050Z (ISO200; 5bpp; SharpNormal; 2560x1920; WB Default; 1by125s).dnp
C5050Z (ISO400; 2bpp; SharpNormal; 2560x1696; WB Default; 1by200s).dnp
C5050Z (ISO400; 2bpp; SharpNormal; 2560x1920; WB Default; 1by160s).dnp
C5050Z (ISO400; 5bpp; SharpNormal; 2560x1696; WB Default; 1by160s).dnp
C5050Z (ISO400; 5bpp; SharpNormal; 2560x1920; WB Default; 1by250s).dnp

C5050Z (ISO100; Uncompressed; SharpNormal; 2048x1536; WB Default; 1by60s).dnp
C5050Z (ISO100; Uncompressed; SharpNormal; 2288x1712; WB Default; 1by60s).dnp
C5050Z (ISO100; Uncompressed; SharpNormal; 2560x1696; WB Default; 1by80s).dnp
C5050Z (ISO100; Uncompressed; SharpNormal; 2560x1920; WB Default; 1by60s).dnp
C5050Z (ISO200; Uncompressed; SharpNormal; 2048x1536; WB Default; 1by80s).dnp
C5050Z (ISO200; Uncompressed; SharpNormal; 2288x1712; WB Default; 1by80s).dnp
C5050Z (ISO200; Uncompressed; SharpNormal; 2560x1696; WB Default; 1by80s).dnp
C5050Z (ISO200; Uncompressed; SharpNormal; 2560x1920; WB Default; 1by80s).dnp
C5050Z (ISO400; Uncompressed; SharpNormal; 2048x1536; WB Default; 1by160s).dnp
C5050Z (ISO400; Uncompressed; SharpNormal; 2288x1712; WB Default; 1by160s).dnp
C5050Z (ISO400; Uncompressed; SharpNormal; 2560x1696; WB Default; 1by200s).dnp
C5050Z (ISO400; Uncompressed; SharpNormal; 2560x1920; WB Default; 1by160s).dnp

 Here:

- disk folder

C5050Z
- camera name

ISO ###
- ISO rate of camera mode

#bpp (bits per pixel)
- JPEG compression level
or Uncompressed for TIFF

Sharp#####
- sharpness adjustment

#### x ####
- image size

WB #######
- white balance
1by## / #.##
- exposure time

When the profiles are named like this, manual selection of an appropriate profile is simple. You can check the device mode of the input image (using the Input Image box on the right panel in the Input Image tab of the Filtration Job Editor) and then select a profile for this device mode from the list of profiles (you can also see the profile details in the preview in the Open device noise profile dialog).

There is another way to select profile for an image, based on structuring the profile set using the disk folders. For example, the above Olympus C5050Z profile set could be structured like this:

Olympus C5050Z

TIFF (Uncompressed)

2048x1536

ISO100.dnp
ISO200.dnp
ISO400.dnp

2288x1712

ISO100.dnp
ISO200.dnp
ISO400.dnp

2560x1696

ISO100.dnp
ISO200.dnp
ISO400.dnp

2560x1920

ISO100.dnp
ISO200.dnp
ISO400.dnp

JPEG

HQ (2bpp)

2560x1696

ISO100.dnp
ISO200.dnp
ISO400.dnp

2560x1920

ISO100.dnp
ISO200.dnp
ISO400.dnp

SHQ (5bpp)

2560x1696

ISO100.dnp
ISO200.dnp
ISO400.dnp

2560x1920

ISO100.dnp
ISO200.dnp
ISO400.dnp

 Here:

- disk folder

Olympus C5050Z,
JPEG (bpp) / TIFF (Uncompressed),
#### x ####
- the names of disk subfolders containing device noise profiles for corresponding device modes;

ISO ###.dnp
- specific device noise profiles;

Note that constant parameters (Sharpness adjustment and White Balance) are not reflected in the folder structure. However, of there were profiles with different values of these parameters then additional subfolder should be added.

Parameters that can be disregarded, such as exposure time, are not reflected in the folder structure too.

In this case, the folder tree enables storing device noise profiles in a structured way, which helps to select one profile from the set given the device mode of the input image. This can be especially useful when you use the popup menu to select profiles (if there is no popup menu, check the Folder options).

Note that the automatic profile matching provided by Neat Image does work well in both cases: you can keep the whole set of profiles as a flat list of files in one folder, or you can structure the files into subfolders. This choice only affects the convenience of manual profile selection, while automatic profile matching can handle both cases.

If the automatic profile matching is not available (for example, if the images contain no EXIF information or the available EXIF details are incomplete) then you have to use manual profile matching. Therefore, we advise to structure profiles according to one of the methods above to make your manual work easier.

Stage I :: Stage II :: Stage III :: Stage IV


Stage IV. Documenting profile set

Along with the text comments inside the device noise profiles and their file names, we advise to document a profile set with a plain text file explaining the following points:

  • Author of the profile set, profiling date
  • Device name, firmware version
  • Device modes that have been profiled in this set
    • Device mode parameters that change over the profile set
    • Device mode parameters that are constant for all profiles in the set
  • Post-processing applied (after receiving image from imaging device and before Neat Image)

An example of such a description is below:

Olympus C5050Z noise profiles

by John Smith, March 5, 2004

A set of profiles for Olympus C5050Z TIFF and JPEG files. The profiles were built using shots of the Calibration Target for the following file formats and image sizes:

TIFF: 2048x1536, 2288x1712, 2560x1696, 2560x1920
JPEG HQ: 2560x1696, 2560x1920
JPEG SHQ: 2560x1696, 2560x1920

For each file format and image size above, shots with different ISO rates (100, 200 and 400) were made and used to build profiles.

Default camera settings were used for Sharpness, Contrast, and Saturation. In-camera noise reduction was switched off. The white balance was set to daylight.

No post processing was applied; the calibration target shots directly from the camera were opened in Neat Image to build profiles.

Such kind of summary would help you to figure out any set of profiles you prepared as well as let other people understand your results if you decided to share your profiles.

Stage I :: Stage II :: Stage III :: Stage IV


Using noise profiles

When you have a set of profiles for your camera or scanner, you can directly use these profiles to process images in Neat Image. Usually there is only one profile that is most suitable to process a specific image. Therefore it is very important to select the right profile, which would provide good match between profile and image. All profiles in the set are built for different device modes of the imaging device. To make a perfect match between a profile and image, the device mode of a profile should be the same or very close to the device mode used to capture the image.

There are two ways to select a device noise profile that matches the input image:

  • To automatically select the most suitable profile from a ready-made set of profiles using the automatic Profile Matcher;

  • To manually select a suitable profile from a ready-made set of profiles using their device mode comments.

When you select and open a profile, Neat Image shows the degree of match between the profile and input image. This degree is shown in the Profile match section on the bottom of the Filtration Job Editor window. The match degree is calculated on the basis of the image metadata (the EXIF data fields). If the profile's device mode is exactly the same as device mode used to capture the image then the match degree is 100%. There is always 100% match between an image and profile built using this very image. If the device modes of profile and image are very close then the match degree is close to 100%. The more different the device modes of profile and image are, the smaller the match degree is. Use the match degree as an indicator of match quality. If the match degree is low then it is likely that building a new profile (using the current image or the Calibration Target shot in current device mode) would produce better noise reduction results.

Obviously it is preferable to build a new noise profile for each new image, because such a profile would perfectly match the noise of that image. Nevertheless, any noise profile can, with some degree of accuracy, be used to process other images captured by the same device working in the same or similar mode. This is less accurate than building a profile for each image but saves time because building a new profile usually takes more time than re-using a ready-made one. This is especially important if one profile is re-used many times, for example to process a series of images produced in one device mode.


 Neat Image user guide

Additional tools

Component Viewer

Variant Selector

Profile Converter


 Neat Image user guide / Additional tools

Component Viewer

The Component Viewer is intended for detailed examination of both channel and frequency components of images. Examining the components helps to find the optimum filter settings easier and faster.

  • Working with the filter, turn on the Component Viewer window by clicking on [image] (the Component Viewer on/off button) on the toolbar or by selecting the Tools | Component Viewer menu item. The window will pop up to show the image components of the selected area (see the selection in the Filtration Job Editor window).

    Examine individual channel and frequency components of the image (use selectors on top of the Component Viewer). To switch between original and filtered image (or image component) simply click on one of the images in the Component Viewer window.


 Neat Image user guide / Additional tools

Profile Converter

Device noise profiles built with previous versions of Neat Image can, with certain limitations, be used in the current version. Building new profiles directly with the current version is of course preferred (this may potentially provide a higher accuracy) but, if necessary, older profiles can be converted to the new format using the Profile Converter tool.

The Profile Converter is a dedicated tool that can automatically convert several noise profiles built with Neat Image v2.1-3.x to the new format of Neat Image v4.0. Only those profiles can be converted that contain embedded noise samples. Use the Profile Viewer, accessible via the Ctrl-I shortcut or the Profile | Profile Viewer menu item, to check whether a profile contains embedded noise sample.

To convert profiles

  1. Select the Tools | Profiler Converter… menu item in the Filtration Job Editor or Filtration Queue window. This will open the Profile Converter window.

  2. In the Profile Converter window, specify the source folder with old profiles and the destination folder where the Profile Converter should save converted device noise profiles. If the source folder contains structured subfolders with profiles then the Profile Converter will re-create the same subfolder structure in the destination folder.

  3. Click the Start button to initiate the conversion process.
    When conversion is finished, the converted noise profiles are saved in the destination folder.

  4. Use the Close button to close the Profile Converter window.

As the result, you have a set of converted noise profiles (several new *.DNP files on the disk) that can be directly used in the current version of Neat Image.

If you open an older profile, Neat Image will try to automatically convert it before use. This however takes additional time during opening a profile and it may be better to convert all profiles using the Profile Converter: you apply it once and then use converted profiles with no conversion overhead.


 Neat Image user guide / Additional tools

Variant Selector

The Variant Selector helps to do side-by-side comparisons of several variants of filtration applied to a selected image area. When you consecutively adjust the filter settings you get several variants of filtration. To select the best variant use the Variant Selector.

  • Turn on the Variant Selector by clicking on [image] (the Variant Selector on/off button) on the toolbar or by selecting the Tools | Variant Selector menu item. The window will pop up to enable adding, sorting, deleting and selecting the variants.

  • To add a filtration variant to the Variant Selector, select an area in the input image in the Filtration Job Editor window and let Neat Image prepare a preview for this area (this is usually done by Neat Image automatically). As soon as the preview is ready, this new variant of filtration is added to the Variant Selector. This happens automatically if Auto add variants is checked in the Variant Selector window. To manually add a new variant, click [image] (the Add new variant button). If you change any filter setting then one more filtration variant is prepared and added to the Variant Selector by Neat Image.

  • When several variants are listed in the Variant Selector, click any variant to see the filtration result in the image viewer area of the Variant Selector. Click on the image there to temporarily switch to the unfiltered image. Move to other variants (using the mouse wheel or arrow keys) to compare filtration variants.

  • Click [image] and [image] (the Move variant up / down buttons) or drag and drop variants in the list to sort them according to the quality (for example, move the best variants to the top of the list to group them for easier comparison).

  • Click [image] (the Delete variant button) or press the Del key to remove the selected variant(s) from the list.

  • Click [image] (the Select variant button) or press Enter or double-click a variant to select it as the best one and send it to the filter (the filter settings will be automatically adjusted to produce this variant of filtration).


 Neat Image user guide

Queued processing

Neat Image can automatically process multiple images. To do that, you can create several image filtration jobs, put them into the Filtration Queue and let program process the jobs one after another.

You can create new filtration jobs while existing jobs are being processed in the background. It is possible to create many jobs at once (batch) to filter many images with the same filtration parameters. You can also change filtration parameters of any job at any time.

In this section, we explain in detail how you can use all these capabilities of Neat Image. When you read this section, please make sure that the Auto create new job at startup setting in the application options (use the Tools | Options… menu item) is unchecked. If it is checked, the Filtration Job Editor appears at startup instead of the Filtration Queue window. This option is checked by default to make initial work with the program easier.

Filtration Queue window

Creating new image filtration jobs

Editing image filtration jobs

Removing image filtration jobs

Queuing and holding image filtration jobs

Starting and stopping the filtration queue

Saving output images


 Neat Image user guide / Queued processing

Filtration queue window

When you start Neat Image, the Filtration Queue window is opened (if it is not, uncheck the Auto create new job at startup setting in Neat Image Options).

This window contains the filtration queue itself (in the left box), a set of tools to create, edit, delete, start and stop jobs (on the toolbar), and the panel on the right with detailed information about the queue as a whole and about any single selected image filtration job.


 Neat Image user guide / Queued processing

Creating new image filtration jobs

Neat Image processes filtration jobs by taking them one-by-one and applying filtration with specific settings to each image. A single filtration job includes one image and one customized set of filtration settings. You can create and configure one or more filtration jobs and let Neat Image process them.

To create one new image filtration job

  • Click [image] (the Create new image filtration job button) on the toolbar or select the Job | New… menu item.

    A new filtration job will be created. Initially, you will select an input image and then the Filtration Job Editor window will open with this input image. You will then be able to select a device noise profile and adjust filter settings in the same way as explained in the Filtration process details section.

    When the image is ready to be processed, do not apply filtration in the Filtration Job Editor if you want to process the image in the queue.

    When the input image, noise profile and filter settings are ready you can put this new job into the filtration queue for processing using the controls in the Queued Processing box.

    You can select to Auto save output image and specify Output image file name for auto save using the [image] button. If you do then Neat Image will automatically save the output image into the specified file as soon as this job is completed in the filtration queue.

  • Clicking [image] will send the job to the bottom of the queue and let Neat Image process it when its turn comes in the queue.

    Neat Image may ask about particular image saving properties, e.g., the JPEG compression level. The last used JPEG compression level is offered as the default value.

    When Auto save output image is chosen, you can additionally select to Auto delete completed job from the queue when the job is completed and its output image is successfully saved.

    If you do not want to let the queue to process this job then press Esc or select the File | Put Job to Queue menu item. The job will be put on hold in the queue until you manually allow processing it.

To create multiple image filtration jobs at once

  • Click [image] (the Create many filtration jobs at once button) on the toolbar or select the File | Batch… menu item.

    The Batch window will appear to give you a way of selecting image files to be processed. Also, you can select a device noise profile and a filter preset that should be used to filter the selected images.

  • Click [image] to add new image files to the list.

  • Click [image] to select a folder with image files. All image files contained in selected folder and its subfolders will be added to the list.

  • Click [image] to remove selected images from the list.

  • In the Device Noise Profiles box, select the source of noise profiles that should used to process images in the list:
    • Do not load profile - to not automatically load any profile(s) for images in the list;
    • Auto profile images - to automatically build a profile for every image in the list;
    • Auto match profiles - to find the best matching profile for every image in the list;
    • Use specified profile - to use the profile specified below for all images in the list.
      When Use specified profile is selected, click [image] (blue disk) or the popup menu to select a device noise profile to be used with all the images in the list.

      Check the Auto fine-tune profile(s) option to automatically fine-tune selected profile(s) during processing. When Auto profile images is selected auto fine-tuning is applied automatically.

  • In the Filter Preset box, click [image] (pink disk) or the popup menu to select a filter preset to be used with all the listed images.

  • In the Output Image box, specify output image type using the drop-down list. Select 8/24 bits, 16/48 bits, or Match input.

  • Select the way the output image should be saved:
    • Do not auto save output images - to not automatically save output images
    • Save to folders of input images - to save the output images next to the input images
    • Save to specified folder - to save all output image into one specified folder
      When Save to specified folder is selected, select the folder using [image] (the Browse button).

  • Select output file format: TIFF, JPEG or BMP.

  • Below the Input Images box, select Auto delete completed jobs if you want to automatically remove completed jobs from the queue. This is only possible if Neat Image is instructed to save the output images. Once the output images are saved, the jobs can be removed from the queue.

  • Click [image] to add new image filtration jobs to the queue.

    At this point, Neat Image may ask about particular file saving properties, e.g., the JPEG compression level.

    Then, several new image filtration jobs will be created in the queue. These jobs will be immediately processed by Neat Image if Auto start processing has been checked.

To create one or more new image filtration jobs via drag and drop

  • Drag several image files from another application and drop them in the Filtration Queue window. Neat Image will automatically create new image filtration jobs for each dropped file using the Job Defaults specified in the Options.


 Neat Image user guide / Queued processing

Editing image filtration jobs

An image filtration job in the queue can be edited at any time if you want to change some of its filtration parameters. This applies to all jobs in the queue except the one which is currently being processed. You have to put it on hold (using [image], see details below) to be able to edit it.

To edit existing image filtration job

  • Select a job in the queue and click [image] (the Edit selected filtration job button) or select the Job | Edit… menu item.

    The Filtration Job Editor will open the selected job to enable modify its details: input image, device noise profile and filter settings. Change these according to the guidelines of the Filtration process details section.

When the job is ready to be processed, put it back into the queue using the controls in the Queued Processing box.

To change device noise profile for selected job(s) in the queue

  • Select job(s) in the queue and click [image] (blue disk) or use the Device noise profile popup menu in the Filtration Job box (or select the Job | Set Profile… menu item) to assign a profile to all selected jobs.

    or

  • Click [image] (the Profile Matcher button) or select the Job | Match Profiles menu item to automatically assign matching profiles to selected jobs using the Profile Matcher.

To change filter preset for selected job(s) in the queue

  • Select job(s) in the queue and click [image] (pink disk) or use the Filter preset popup menu in the Filtration Job box (or select the Job | Set Preset… menu item) to assign a preset to all selected jobs.


 Neat Image user guide / Queued processing

Removing image filtration jobs

To remove existing image filtration job(s)

  • Select one or more filtration jobs in the queue that you want to remove and click [image] (the Delete selected filtration job button) or select the Job | Delete menu item.


 Neat Image user guide / Queued processing

Queuing and holding image filtration jobs

An image filtration job in the queue is processed when it is ready (i.e., input image and noise profile are present) unless you specifically put it on hold. A job put on hold will not be processed until you explicitly queue it.

To queue image filtration job(s)

  • Select one or more filtration jobs in the list that you want to process and click [image] (the Queue selected job(s) button) or select the Job | Queue menu item.

    The selected job(s) will receive status 'queued' and will be processed when their turn comes.

To put image filtration job(s) on hold

  • Select one or more filtration jobs in the queue that you want to put on hold and click [image] (the Put selected job(s) on hold button) or select the Job | Hold menu item.

    The selected job(s) will receive status 'on hold' and will not be processed.


 Neat Image user guide / Queued processing

Starting and stopping the filtration queue

You may want to completely stop (and then start again) the filtration queue. This can be done using the controls in the Filtration Queue box.

To stop the filtration queue

  • Click [image] to stop processing jobs in the filtration queue.

To start the filtration queue

  • Click [image] to start processing jobs in the filtration queue.


 Neat Image user guide / Queued processing

Saving output images

When a job is done in the filtration queue, you most likely will want to save the result. This can be done within the Filtration Job Editor where you can use [image] (the Edit job button) to open it or directly from the Filtration Queue window.

To save output image of a filtration job

  • Click [image] (the Save output image as button).

    You can save output images of more than one job using this button. Select several completed jobs and click this button to save several output images at once.


Neat Image user guide

Using plug-in

The plug-in version of the filter is only available in certain editions of Neat Image. Please see the Detailed feature map for more details.

Please follow the subsections below to learn how to install and use the plug-in to process images directly in your image editor.

Installing the plug-in into image editor

Using the plug-in to process images

Using the plug-in in Photoshop actions


 Neat Image user guide / Using plug-in

Installing the plug-in into an image editor

In most cases, the Neat Image plug-in is installed automatically to Adobe Photoshop, Photoshop Elements and Jasc Paint Shop Pro image editors. If for some reason the plug-in was not automatically installed, then you can install it manually using the guidelines below.

To manually install Neat Image plug-in to…

… Adobe Photoshop / Photoshop Elements / ImageReady

  • Method 1 (traditional one):

    Copy the NeatImage.8bf file from the Neat Image installation folder (typically, C:\Program Files\Neat Image\) into the Plugins or Plug-ins subfolder inside the Photoshop / Photoshop Elements / ImageReady folder. Then re-start the image editor, and you will find the Neat Image plug-in in the Filter menu under the Neat Image submenu.

  • Method 2 (an easier one, available in Photoshop 7.0, CS, Photoshop Elements 2.0):

    In Photoshop, go to the Edit menu, Preferences | Plug-ins and Scratch Disks and set Additional Plug-ins Directory to the Neat Image installation folder (typically, C:\Program Files\Neat Image\). Then re-start the image editor, and you will find the Neat Image plug-in in the Filter menu under the Neat Image submenu.

… Jasc Paint Shop Pro

  • Open the File menu, select Preferences | File locations | Plug-ins (PSP8), Preferences | File locations (PSP7) or Preferences | Plug-in Filters (PSP4-6) and select the Neat Image installation folder. Press OK and the Neat Image plug-in will appear in the Plug-in Filters submenu of the Effects menu.


 Neat Image user guide / Using plug-in

Using the plug-in to process images

The Neat Image plug-in can be invoked from an image editor to process the selected area in a layer or a channel of the current image. This subsection describes key stages of using the Neat Image plug-in. Since these stages are very similar to the filtration process of the Neat Image standalone version, the stages below are described based on the Filtration process details section.

Stage I. Invoke the plug-in from the image editor

In the image editor, select a layer (or a channel) in the image that should be processed. In this layer (channel), select an area to be filtered. The whole layer (channel) will be filtered if no area is selected.

Invoke the Neat Image plug-in using the standard way of invoking filter plug-ins in your image editor:

  • Select the Filter | Neat Image | Reduce Noise… menu item in Photoshop / Photoshop Elements.

    or
  • Select the Effects | Plug-in Filters | Neat Image | Reduce Noise… menu item in Paint Shop Pro.

Stage II. Prepare a device noise profile

Preparing a device noise profile is done in the same way as with the standalone version of Neat Image. Please see Filtration process details: Step II. Prepare a device noise profile.

Stage III. Adjust filter settings

This is done in the same way as with the standalone version of Neat Image. Please see Filtration process details: Step III. Adjust noise filter settings.

Stage IV. Apply filter

To apply filter to the image

  • Click [image] (the Apply button on the toolbar of the Noise Filter Settings tab) or select the Filter | Apply menu item.

    The plug-in window will be closed and filtration will start. Processing may take a few minutes (depending on the speed of your computer's CPU and size of (the selected part of) the image). During this time, the image editor will display the filtration progress.

    In Photoshop, updating Photoshop user interface during processing may be slow. This is a feature of Photoshop. Do not consider it to be 'hanging' or 'freezing', just let it work.

The Neat Image plug-in will automatically save the device noise profile and filter preset used during the most recent processing as RecentProfile and RecentPreset. This allows re-applying the plug-in (using the Ctrl+F shortcut in Photoshop, for example) with the same device noise profile without re-doing the stages II-III. Also, you can open the plug-in manually and continue to work with the last used parameters.


 Neat Image user guide / Using plug-in

Using the plug-in in Photoshop actions

*** Using the plug-in in Photoshop actions is only available in certain editions of Neat Image. Please see the Detailed feature map for more details.

The Neat Image plug-in can be used in Photoshop actions along with standard Photoshop filters. The plug-in has two parameters when used within a recorded action: Profile and Preset. The Profile parameter tells Neat Image which device noise profile should be used within this action. The Preset parameter specifies which noise filter preset should be used within this action.

When you record an action that includes the Neat Image plug-in, in the plug-in you can select the source of noise profile that should be used by the plug-in when the action is played. There are three ways for the plug-in to get a noise profile when run in action:

  • to use specific profile available on the disk and specified when the action is recorded;
  • to automatically select the profile (from the profile set) that matches processed image using the Profile Matcher;
  • to automatically build a new profile by analyzing the processed image.

You can select any of these options using the Actions menu in Neat Image plug-in.

In case (1), the noise profile should be available in a file on the disk and must be loaded during recording the action so that the plug-in would know its location on the disk. The Profile parameter of the action will contain the file name of the selected profile.

In case (2), several noise profiles should be available to the Profile Matcher. The profiles should be stored in the Matching device noise profile folder specified in the Options. Also, the input image should contain the EXIF information to make matching possible. An action using profile matching will contain "Auto match profile" in the Profile parameter.

In case (3), no ready-made profiles are required because the plug-in can automatically build a new profile for the input image using the image itself. The only requirement is that the input image should contain enough flat featureless noise-only areas for noise analysis. An action using auto profiling will contain "Auto profile" in the Profile parameter.

In cases (1) and (2), you can additionally elect to auto fine-tune selected noise profile before use. This is done by checking the Actions | Auto Fine-Tune Profile menu item during recording the action.

You can also load any filter preset available on the disk to make it used by the action.

If an action uses specific profile and preset, you have to keep them available in the same disk location. If you want to distribute the action you have to include the profile and preset files as well.


 Neat Image user guide

Application options

Use the Tools | Options… menu item to open the Options dialog box.

Neat Image has several options that you can change to adjust the behavior of the standalone application and plug-in.

General options

Job Defaults

Profiling options

Profile matching options

Filtration options

Folder options


 Neat Image user guide / Application options

General options

Show splash screen at startup

This option controls whether the splash screen (the Neat Image flower picture) is displayed at the application startup.

Auto create new job at startup

When this option is checked, the Filtration Job Editor appears at startup (instead of the Filtration Queue window), which can be useful if you want to only process a single image without going to the queue window.

This option is checked by default to make initial work with the program easier.

Switch the option off if you often work with the Filtration Queue window.

Show hints over interface controls

This option allows switching on/off the hints. The hints are displayed when the mouse pointer is placed over the application controls.

Double buffer image viewers

This option controls the image viewers buffering mechanism. Double-buffered image viewers provide smoother display rendering at expense of rendering speed. Disable this option on slow machines for better performance.

Allow overwriting existing image files

Select this option to allow Neat Image to overwrite existing image files when output images are auto saved by the application (in queued processing).

Preserve EXIF data in output images

Check this option to make Neat Image preserving the EXIF data fields by copying these from the input to output images. Note that copying the EXIF data fields to the output image is not always possible. This depends on both input and output file types used. The EXIF is copied with the following combinations of input and output file types: JPEG->JPEG, JPEG->TIFF, TIFF->TIFF, and TIFF->JPEG.

Enable multiprocessor support

Check this option to let Neat Image use all processors on a multiprocessor computer (or on a computer with HyperThreading). When enabled, Neat Image will process two or more jobs in the filtration queue simultaneously.


 Neat Image user guide / Application options

Job defaults

Default color space

This is the working color space selected by default when a new image filtration job is created (if there is no default profile selected; see Default device noise profile below). You can always change working color space later on, if necessary; this option just provides a default choice.

The working color space is a color space used by Neat Image to analyze and process images. There are three working color spaces available: RGB, YCrCb JPEG, and YCrCb Symmetric. We recommend the use of YCrCb JPEG for color images and YCrCb Symmetric for grayscale (halftone) images.

Note: The working color space does not affect or change any color profiles (ICC profiles) embedded in the image file.

Default output bitdepth

This option controls default image bitdepth of the images processed by the filter. For example, if the input image is 8/24 bits and the output bitdepth is selected to be 16/48 bits, then the input image will be converted to 16/48 bits, processed with the filter, and the output image will be 16/48 bits. If 'match input' is selected then the output bitdepth will match the input bitdepth.

Default device noise profile

The default noise profile file is automatically opened by Neat Image when a new image filtration job is created. Specify the name and location of the file containing this noise profile in the available space below using [image] (the file browser button).

You may want to use this option if you frequently use the same profile. Any valid noise profile can be made default.

Default filter preset

The filter settings are automatically loaded from the default filter preset when a new image filtration job is created. Specify the name and location of the file containing this preset in the available space below using [image] (the file browser button).

You may want to use this option if you frequently use the same preset. Any valid filter preset can be made default.

Auto save output image

Check this box to have the Auto save output image option selected by default in the Filtration Job Editor.

Auto delete completed job

Check this box to have the Auto delete completed job option selected by default in the Filtration Job Editor.

Output file name suffix

Select the suffix added to the output image file name by default.


 Neat Image user guide / Application options

Profiling options

Combination of last fine-tuning analyses

This is a way of combining multiple fine-tuning analyses (related to the same brightness range) in the noise profile equalizer.

In order to measure the dependence between the noise and brightness of an image (that is usually done during fine-tuning) it is necessary to analyze many uniform areas in an image. Each individual analysis determines the dependence in some narrow range of brightness values. The noise profile equalizer reflects this dependence with a number of sliders that correspond to specific ranges of brightness individually for each RGB color channel.

Initially, all the sliders are at their default positions. Analyses change their positions according to characteristics of noise encountered.

It is possible that different analyses taken in the same brightness range will affect the same slider. In this case, the slider's behavior is determined by the Combination of last fine-tuning analyses option:

  • Take the maximum value (recommended)
    Equalizer sets the slider's RGB values to the maximum of the last two analyses (aggressive filtration, maximum noise removal);

  • Take the minimum value
    Equalizer sets the slider's RGB values to the minimum of the last two analyses (conservative filtration, minimum image changes);

  • Take the average value
    Equalizer sets the slider's RGB values to the average of the last two analyses;

  • Take the last value
    Equalizer sets the slider's RGB values to the current analysis.

Save analyzed image area in profile

Turn this option on to make Neat Image save analyzed image area into device noise profile (a *.dnp file). This will increase the size of the *.dnp file but will also improve the compatibility with the future versions of the software (Neat Image will be able to re-build the profile using the saved image area).


 Neat Image user guide / Application options

Profile matching options

Matching device noise profile folder

Select the folder where Neat Image should look for noise profiles to find one that matches the input image. This should be the topmost folder of all the subfolders with noise profiles to be checked during automatic matching.

By default, the PROFILES subfolder of Neat Image installation folder is used.

Matching parameters priorities

To automatically match profiles for the input image, Neat Image compares the device parameters of the image and profiles from the Matching device noise profile folder. Different parameters usually have to be matched with different priority. Using these controls, you can select the priorities of such parameters as Input device, ISO rate, Compression, Resolution, Sharpness, Exposure:

  • Match - the parameter should match exactly;
  • High - it is highly important that the parameter is very close or matches exactly;
  • Low - it is preferable that the parameter is close or matches exactly;
  • Ignore - the parameter is not important at all.

Auto match on image open

Select this option to automatically find the best matching profile when the input image is opened.


 Neat Image user guide / Application options

Filtration options

Audible indication

Neat Image has a simple audible signal system.

The when filtration jobs are processed checkbox is used to enable / disable periodic sounds during filtration process. This may help you monitor the application while it is processing jobs.

Use the when all filtration jobs are done checkbox is to enable / disable a single sound to indicate the end of filtration process.

Filtration Job Editor

Auto minimize is to minimize the Filtration Job Editor window during filtration. This has two purposes; one it can speed up the process and conserve memory, and two, it gets the editor out of your way while it works.

Auto restore is to restore the Filtration Job Editor window at the end of filtration.

Filtration Queue window

Auto restore is to restore the Filtration Queue window when all filtration jobs are done.

Filter process priority

Use this option to adjust the priority of the filtration process running in a multitasking environment:

  • Idle — lowest priority; filtration gives way to other applications when necessary;

  • Below — priority below normal; provides the smoothest performance for all applications; this may slow down Neat Image a bit, but will allow you to work normally with other applications, especially if the computer is slow;

  • Normal — normal priority; filtration may slightly slow down other applications.

Auto recalculate preview

This option enables/disables automatic recalculation of preview in the Filtration Job Editor. When enabled, automatic recalculation is invoked every time you select a new image area or change filter parameters. Auto-preview is invoked only when the Noise Filter Settings tab is used.

...every N second(s)

This is the delay in seconds between a change of filter parameters and automatic preview recalculation.


 Neat Image user guide / Application options

Folder options

Use independent open / save folders

This option enables using two independent folders for opening and saving files. If this option is selected then Neat Image will remember two folders, otherwise, only one folder for both opening and saving files.

Use independent folders for images / profiles / presets

This option enables using three independent folders for working with images, noise profiles and filter presets. If this option is selected then Neat Image will remember three folders, otherwise, only one folder for images, profiles and presets.

Temporary folder

Select the folder that Neat Image will use to store its temporary files. In other applications, this is sometimes called 'scratch disk'.

Profile folder

Select the folder where Neat Image will look for device noise profiles. This should be the topmost folder of all the (sub)folders with device noise profiles. In this way, Neat Image will be able to display all the profiles (stored in all the subfolders of the specified folder) in the popup menus in the Device noise profile panel of the Filtration Job Editor and of the Filtration Queue.

By default, the PROFILES subfolder of Neat Image installation folder is used.

Preset folder

Select the folder where Neat Image will look for filter presets. This should be the topmost folder of all the (sub)folders with filter presets. In this way, Neat Image will display all the presets (stored in all the subfolders of the specified folder) in the popup menu in the Noise Filter Settings panel of the Filtration Job Editor and of the Filtration Queue.

By default, the PRESETS subfolder of Neat Image installation folder is used.


 Neat Image user guide

Examples

Images to build a noise profile

Images to fine-tune a noise profile

Filtration results


 Neat Image user guide / Examples

Images to build a device noise profile

See the image below for examples of good and bad image areas to select for building device noise profiles. Here, image areas suitable for building noise profiles are highlighted in green; those that should not be used are highlighted in red. Note that an image area suitable for building a device noise profile should be at least 60x60 pixel large (preferably more than 100x100 pixels).

Additional comments regarding selection of image areas are shown below.

These image areas can be used to build device noise profiles, as they contain no visible details in all frequency ranges:

– GOOD, because this area contains no important details
– GOOD, no important details (this area is from another image)

The following image areas should not be used to build device noise profiles, because they contain visible details:

– BAD, because this area contains a detail: corner – junction of wall and ceiling
– UNACCEPTABLE, because this area contains many details
– BAD, because this area contains some details: clouds (this area is from another image)

See more examples of building device noise profiles on the Neat Image web page.


 Neat Image user guide / Examples

Images to fine-tune a device noise profile

In this subsection, you can find examples of image areas to be used for fine-tuning analysis in the noise profile equalizer:

Large size areas

In image areas larger than 100x100 pixels, high, medium and low frequencies are analyzed.

The examples are essentially the same as in the case of building a device noise profile. See examples for building a device noise profile.

Medium size areas

In image areas larger than 60x60 pixels but less then 100x100 pixels, high and medium frequencies are analyzed:

– GOOD, because this area contains no important details
– BAD, because there are medium frequency details (a vertical stroke)
– UNACCEPTABLE, because there are many medium frequency details (horizontal strokes)

Small size areas

In image areas larger than 30x30 pixels but less then 60x60 pixels, only high frequencies are analyzed:

– GOOD, although this area contains low frequency details, they are left out of account because area is small
– BAD, because this area contains high frequency details (a vertical stroke)
– UNACCEPTABLE, because this area contains various details

See more examples of fine-tuning device noise profiles on the Neat Image webpage.


 Neat Image user guide / Examples

Filtration results

Here are some examples of Neat Image performance.

Input | Output
This is a small portion of a digital photo taken with a Nikon CoolPix 950 digital camera. The original image contains easily visible noise. In this case, the source of noise is the camera's image sensor (CCD) put in high ISO mode.

Input | Output
This image was taken with a Kodak DC 210 digital camera. Along with the strong CCD high ISO noise, there is an image degradation caused by the JPEG compression. Even though Neat Image tries to do its best to clean up such images, please avoid using strong JPEG compression!

See more filtration examples on the Neat Image web page.


 Neat Image user guide

Questions and answers

General questions

Filtration-related questions


 Neat Image user guide / Questions and answers

General questions

Q What is the difference between Demo, Home, Home+, Pro and Pro+ editions of Neat Image?

A The Demo edition of Neat Image has some of the advanced functionality disabled. In particular, it does not save images in TIFF and BMP formats and does not copy output image to the clipboard (the Demo edition only saves images in JPEG). Non-Demo editions do all that. Home+ and Pro+ additionally include the plug-in version of the filter. Please see the Detailed feature map for more details.

Q Should I uninstall Demo prior to installing Home / Home+ / Pro / Pro+ edition?

A This is not necessary. However, you will not need Demo anymore because you are installing a non-Demo edition, which has all the functionality of Demo plus added features. To uninstall Demo, use the Uninstall shortcut in the Windows Start menu: Start menu | Programs | Neat Image | Uninstall. That will remove Demo.

Q Should I uninstall the older version of Neat Image prior to installing a newer one?

A Yes, this is usually necessary. Please uninstall the older version of Neat Image and only after that proceed to install a newer version. This will ensure that important files are not mixed up.

Q Are you going to release a Mac OS9 or OSX version?

A Mac version of Neat Image currently is under development.

Q I think I have found a bug. How can I submit bug report?

A Please use the online bug report form on the Neat Image web page; please fill it out to let us know all the details necessary to reproduce the problem.

See more information about bugs in the Known issues subsection and about bug fixes in the file WhatsNew.txt supplied with the software - use the Help | What's New menu item to open that file (also see the History section on the Neat Image web page for the most up to date information).

Q What about batch processing?

A Neat Image supports batch processing starting from the software version 2.0. Please refer to the Queued processing section.

Earlier versions of Neat Image (v1.x) can use Neat Batch - Batch Processing Assistant (http://www.tawbaware.com/neatbatch.htm), which adds a simple batch processing functionality to Neat Image. This free software was written by Max Lyons.

Batch processing is also possible with Neat Image plug-in used via Photoshop batching mechanism.


 Neat Image user guide / Questions and answers

Filtration-related questions

Q Why do I receive some crystal-like artifacts in the filtered image?

A The crystal-like artifacts (that are in fact introduced by JPEG compression) look like thin lines in the filtered image. They can be eliminated by increasing the value of the high frequency setting of Noise Filter.

Note: presence of many residual artifacts is usually a consequence of using a poorly built device noise profile or a profile built for another device and/or device mode.

Q Filtered image looks 'plastic'. Why?

A The reason is that too much filtration was applied. Let Neat Image keep some noise to have natural-looking results. Adjust the noise reduction amounts; for example, reduce the noise reduction amount in the luminance (Y) channel to 50-70%.

Also, make sure the device noise profile does match the image processed. Using an incorrectly chosen or poorly built profile can both produce plastic-looking results and leave residual artifacts (see the previous question).

Q What is frequency?

A The term (spatial) frequency is used in Neat Image to denote image elements (both important details and noise) of specific size.

High frequency corresponds to image elements of smallest size. Medium frequency corresponds to elements of medium size. Low frequency corresponds to image elements of (relatively) large size.

For reference, see the noise samples of different frequencies in the Noise Filter Settings tab of the Filtration Job Editor.

Q The filtration process is slow, is this normal?

A This is normal, because the filtration algorithm is quite complex. We are working on further optimization to provide better performance.

Q Is the input image automatically changed according to the profile that is being opened?

A The input image is NEVER changed. Neat Image always creates a new output image, which contains the filtration results. The output image can then be saved to any file.

Q How to filter only the color noise (not the brightness noise)?

A When the YCrCb space is used, set the value of the luminance (Y) channel noise reduction amount to 0%. This will disable filtration in the luminance (brightness) channel.

Q What is YCrCb?

A YCrCb is the name of a family of color spaces widely used in digital imaging, television, image compression (e.g., the JPEG compression transform RGB images into this space to efficiently compress image data), etc. In 'YCrCb', 'Y' corresponds to the luminance channel, 'Cr' - to the Cr chrominance channel covering the red to blue-green color range, 'Cb' - to the Cb chrominance channel covering the blue to yellow color range. Because this space enables easy separation of the luminance and chrominance information, it is very suitable to conduct noise reduction.

Q Is processing via Neat Image best done before or after any other processing (i.e. tonal/color correction)?

A Such operations as tonal/color correction are quite conservative from the standpoint of noise, i.e., they do not significantly change the noise characteristics of the image. Therefore, filtering before or after makes little difference - as long as the noise profile is built and applied at the same stage of image processing. For example, don't use a device noise profile built with an unprocessed (with the color correction not yet applied) image to filter a processed image.

Some digital cameras apply some color correction internally. Other cameras allow access to unprocessed RAW data. Neat Image is a generic filter, which can be applied in both cases. The only requirement is to use profile that matches the device mode of the input image.

On the other hand, image sharpening applied to a noisy image makes it much noisier. It is best to apply Neat Image filtration before sharpening. However, the sharpening and noise filters of Neat Image can be used together because the sharpening is applied AFTER noise filtration.


 Neat Image user guide

Tips and tricks

Preventing banding

Filtration of shadow areas

Partial filtration


 Neat Image user guide / Tips and tricks

Preventing banding

In some cases, the banding effect may appear when applying the noise filter to images with faint brightness gradients. This effect is quite rare for normal images, especially when viewed on a true color display. It can be more visible on hi-color displays. This is a common problem of hi-color displays. If the display doesn't have enough colors then the image can have some bands of the same colors. Dithering is usually used to mask this problem on such displays. An original image usually contains some noise, which acts like dithering. When Neat Image removes this noise, the underlying problem of banding may come up again. A solution is to use a true color display or a better image viewer (in hi-color), which applies some dithering automatically.

To avoid banding try to reduce the noise reduction amount for the high frequency image component to 50%.


 Neat Image user guide / Tips and tricks

Filtration of shadow areas

In some situations, it is preferable to filter only the shadow areas of images leaving bright areas intact. You can do this with the standalone Neat Image by using the noise profile equalizer to limit or stop filtration of bright image areas.

The noise profile equalizer sliders correspond to particular ranges of brightness (individually for each color channel) of the RGB color space. The position of each slider changes (fine-tunes) parameters of the noise profile for the corresponding range of brightness. The lower a slider, the less filtration will eventually be applied to image elements that belong to the corresponding range of brightness.

Therefore, to filter only shadows you can manually move all the 'bright' sliders down (refer to the gradients on the bottom of noise profile equalizer). For example, move down all but the three 'darkest' sliders in each RGB channel.

Using this method, you can effectively prevent filtration of the bright image areas.

If you use the plug-in version of Neat Image, you can filter shadows/lights only using the selection capabilities of your image editor. Select an area to be processed (for example, select shadows based on low brightness values) and invoke Neat Image plug-in to filter this area.


 Neat Image user guide / Tips and tricks

Partial filtration

Some images contain both noisy and clean areas and it may be preferable to filter only noisy areas. This can be manually done by combining two images - original and filtered one - in an image editor. For example, the following steps can be followed if you use the standalone version of Neat Image:

  1. Filter the input image in Neat Image (so that noisy areas are cleaned) and save the output image to a new file;
  2. Open this new file in your image editor;
  3. Place the filtered image in a new layer on top of the original image;
  4. Adjust the transparency of the top layer so that noisy areas look fine;
  5. Select and delete the areas of the top layer where filtration is not necessary or excessive (you may want to use the eraser tool with adjustable transparency and shape).

If you use the plug-in version of Neat Image filter then the partial filtration is even easier:

  1. Open the input image in your image editor;
  2. Copy the input image in a new layer on top of the original image;
  3. Apply Neat Image noise reduction to the top layer;
  4. Adjust the transparency of the top layer so that noisy areas look fine;
  5. Select and delete the areas of the top layer where filtration is not necessary or excessive (you may want to use the eraser tool with adjustable transparency and shape).


 Neat Image user guide

Information

Known issues

Plans

Detailed feature map

Contacts

Legal information

Registration

Acknowledgments


 Neat Image user guide / Information

Known bugs

We are trying to keep Neat Image bug-free as much as possible. Please report any bugs or issues (even those already reported before) you encounter while working with Neat Image. For convenience, use the online bug report form on the Neat Image web page. Your feedback will greatly help us to improve the software and provide you with even better versions of Neat Image. Thank you very much in advance!

List of known issues

  • Nothing so far


 Neat Image user guide / Information

Plans

The current version of Neat Image is the result of our ongoing research on noise filtration. We are continuing to work on the filtration algorithm to improve the quality and speed of noise reduction. In addition, we are planning to introduce new functionality in the future, such as:

  • Mac version
  • Hot pixel removal

Please let us know if you have ideas that can make the program better. Participate in the discussion on the Neat Image message board, express your opinion, make suggestions, and ask questions. The more people that ask for a feature the more likely it is that it will be implemented.


 Neat Image user guide / Information

Detailed feature map

Features |  |  |  | Edition
 |  |  |  | Demo | Home | Home+ | Pro | Pro+
Image processing | 8 bits/channel (24-bit RGB, 8-bit Grayscale) |  |  | +
 | 16 bits/channel (48-bit RGB, 16-bit Grayscale) |  |  | - |  |  | +
Workflow | Standalone version of the filter |  |  | +
 |  | Queue / batch depth |  | up to 2 | up to 10 |  | unlimited
 |  | Command line support |  | - | +
 |  | JPEG | 24-bit RGB 8-bit grayscale | +/+ * | +/+
 |  | TIFF (single image, no layers, no alpha channel, no mask) | 24-bit RGB 8-bit grayscale | +/- ** | +/+
 |  |  | 48-bit RGB 16-bit grayscale | -/- | +/- |  | +/+
 |  | BMP (uncompressed, Win3x) | 24/32-bit RGB | +/- | +/+
 |  | Windows clipboard | 24/32-bit RGB | +/- | +/+
 |  | Drag-and-drop (from Windows Explorer) |  | - | +
 | Plug-in version of the filter |  |  | - | - | + | - | +
 |  | File formats supported |  | all formats supported by plug-in host
 |  | Advanced Photoshop action support |  | - |  |  |  | +
 | Preserving image EXIF data in processed files |  |  | - | +
Device noise profiles | Automatic profiling of cameras and scanners |  |  | +
 | Manual profiling of any image acquisition devices |  |  | +
 | Automatic matching profiles to input images |  |  | +
Noise reduction | Channel-wise (R, G, B; Y, Cr, Cb) |  |  | +
 | Frequency-wise (High, Mid, Low, Very low) |  |  | +
Smart sharpening | Channel-wise (R, G, B; Y, Cr, Cb) |  |  | +
 | Frequency-wise (High, Mid, Low) |  |  | +
Filter presets (reusable sharpening and noise filter settings) |  |  |  | +

* The JPEG compression level is set to a fixed high quality value.
** +/- means input is supported and output is not.


 Neat Image user guide / Information

Contacts

We really appreciate your opinion of Neat Image. Please let us know what you think about the program. Feel free to ask questions regarding Neat Image. To share your opinion or to receive support regarding Neat Image, use any of the following means:

E-mails

info@neatimage.com — for general inquiries

support@neatimage.com — for any inquiries regarding use of Neat Image

sales@neatimage.com — for any inquiries regarding purchase of Neat Image software

Message board

Register in Neat Image community forum, and participate in discussions on the use and development of Neat Image. Such topics are covered in the forum as:

  • announcements of new and updated version of the software;
  • questions about use of Neat Image;
  • examples of using Neat Image with comments and suggestions;
  • feedback from the users: suggestions of new features and improvements;
  • polls: what OS, CPU, camera types are used with Neat Image;
  • contacts and general comments.

Web page

http://www.neatimage.com


 Neat Image user guide / Information

Legal information

Copyright

Neat Image Copyright © 1999-2004 by ABSoft. All rights reserved.

License agreement

Your use of Neat Image software indicates that you accept this license agreement:

You may

Use the Demo edition of Neat Image free of charge for non-commercial purposes.
Copy and distribute the Demo edition of Neat Image.
Purchase a license for Neat Image Home, Home+, Pro, or Pro+ edition to become a registered user of the software.
Run one (or more, up to the number specified in the license) instance(s) of Neat Image Home, Home+, Pro, or Pro+ at a time for commercial and other purposes (for registered users only).

You may not

Sublicense, rent, lease or sell any version/edition of Neat Image software or any portion of it.
Decompile, disassemble, reverse engineer or modify any version/edition of Neat Image or any portion of it.
Copy, share or distribute the Home, Home+, Pro, or Pro+ edition of Neat Image software or license data.
Use the Home, Home+, Pro, or Pro+ edition of Neat Image if you are not registered user.

Term and termination

You may terminate this license agreement at any time by returning or destroying all copies of Neat Image in your possession and notifying the Neat Image team. This license agreement will terminate immediately if you infringe upon ABSoft's copyrights or breach this agreement.

Disclaimer of warranty

The authors make no warranty or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided "as is", and you, its user, assume the entire risk as to its quality and accuracy.

Distribution

The Demo edition of Neat Image may be distributed unmodified provided any charge is to cover distribution costs only.
The Demo edition of Neat Image may be placed on magazine CDs, etc. as long as the Neat Image team is informed.


 Neat Image user guide / Information

Registration

To become a registered user and to get a fully functional edition of Neat Image (Home, Home+, Pro or Pro+) you have to purchase a Neat Image license (a single- or multi-user license). This can be done through an online software shop. Please find the detailed information in the Purchase section of the Neat Image web page.

After you have purchased a Neat Image license, you receive an e-mail from the Neat Image team with detailed download and registration instructions. These instructions will help you download and become a registered user of Neat Image software.

By becoming a registered user of Neat Image you will:

  1. Encourage the authors to further develop and improve the software;
  2. Get access to advanced functionality of Neat Image (see the Detailed feature map);
  3. Be able to use Neat Image for commercial and other purposes;
  4. Get free access to updates of the software with the same major version number;
  5. Enjoy the reduced upgrade prices for major modifications of Neat Image with a higher major version number;
  6. Receive the most attention of Neat Image support group;
  7. Receive the most attention of Neat Image development group
    (tell us what you want to see in the next version).
Message from Neat Image team

By becoming a registered user, you are helping us to continually improve the software. This is only possible with your support!

Become a registered user and we will make Neat Image better for YOU!


 Neat Image user guide / Information

Acknowledgments

Neat Image utilizes the IJG JPEG library.

Neat Image utilizes the openTIFF library.

Neat Image utilizes the Windows XP Theme Manager by Mike Lischke.

Thank you to all the users who have contributed to Neat Image by proposing improvements and new features.

Thanks to all the people who help us to find bugs in Neat Image.

Thank you to all the users who stimulate the development of Neat Image by their word and deed.

Image wouldn't be Neat without all of you!

Neat Image team, ABSoft


Neat Image user guide

Introduction

Overview
Features
Requirements

Key concepts

What it can do - functionality of Neat Image
 When it works - types of input images

Filtration process overview

Overview of Neat Image filtration process
 Running Neat Image on a sample image

Filtration process details

Stage I. Open an input image
 Stage II. Prepare a device noise profile
 Stage III. Adjust filter settings
 Stage IV. Apply filter to the input image
 Stage V. Save the output image

Device noise profiles

Getting ready-made noise profiles
 Building profile for specific device mode (standard profiling procedure)
 Preparing profile set for different device modes
 Using noise profiles

Additional tools

Component Viewer
 Variant Selector
 Profile Converter

Queued processing

Filtration Queue window
 Creating new image filtration jobs
 Editing image filtration jobs
 Removing image filtration jobs
 Queuing and holding image filtration jobs
 Starting and stopping the filtration queue
 Saving output images

Using plug-in

Installing the plug-in into image editor
 Using the plug-in to process images
 Using the plug-in in Photoshop actions

Application options

General options
 Job defaults
 Profiling options
 Profile matching options
 Filtration options
 Folder options

Examples

Images to build a noise profile
 Images to fine-tune a noise profile
 Filtration results

Questions and answers

General questions
 Filtration-related questions

Tips and tricks

Preventing banding
 Filtration of shadow areas
 Partial filtration

Information

Known issues
 Plans
 Detailed feature map
 Contacts
 Legal information
 Registration
 Acknowledgments